<?php
/**
 * @package Bravis-Themes
 */
get_header(); ?>
<div class="container">
    <div class="row content-row">
        <div id="pxl-content-area" class="pxl-content-area col-12">
            <main id="pxl-content-main">
                <div class="pxl-error-inner">
                    <div class="pxl-error-holder">
                        <div class="pxl-error-number">404</div>
                        <h2 class="pxl-error-title">
                            <?php echo esc_html__('Page Not Found', 'breeza'); ?>
                        </h2>
                        <div class="pxl-error-description"><?php echo esc_html__('Oops! The page you are looking for does not exist. It might have been moved or deleted.', 'breeza'); ?></div>
                        <form role="search" method="get" class="search-form" action="<?php echo esc_url(home_url( '/' )); ?>">
                            <div class="searchform-wrap">
                                <input type="text" placeholder="<?php esc_attr_e('Search Here..', 'breeza'); ?>" name="s" class="search-field" />
                                <button type="submit" class="search-submit">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" viewBox="0 0 30 30" fill="none">
                                        <path d="M16.875 5.625L15.5344 6.93094L22.6406 14.0625H3.75V15.9375H22.6406L15.5344 23.0372L16.875 24.375L26.25 15L16.875 5.625Z" fill="white"/>
                                    </svg>                                
                                </button>
                            </div>
                        </form>
                        <a class="btn btn-default pxl-wobble" data-animation="pxl-xspin" href="<?php echo esc_url(home_url('/')); ?>">
                            <?php echo esc_html__('GO BACK HOME', 'breeza'); ?>
                        </a>
                    </div>
                </div>
            </main>
        </div>
    </div>
</div>
<?php get_footer();
