<?php 
/* Start Section */
add_action( 'elementor/element/section/section_structure/after_section_end', 'breeza_add_custom_section_controls' ); 
add_action( 'elementor/element/section/section_structure/after_section_end', 'breeza_add_custom_section_overlay_color' ); 
add_action( 'elementor/element/section/section_structure/after_section_end', 'breeza_add_custom_section_overlay_img' ); 
add_action( 'elementor/element/section/section_structure/after_section_end', 'breeza_add_custom_section_divider' ); 
add_action( 'elementor/element/section/section_structure/after_section_end', 'breeza_add_custom_section_particles' );
add_action( 'elementor/element/section/section_structure/after_section_end', 'breeza_add_custom_section_effect_image' );
function breeza_add_custom_section_controls( \Elementor\Element_Base $element) {

    $element->start_controls_section(
        'section_pxl',
        [
            'label' => esc_html__( 'Breeza General Settings', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $element->add_control(
        'row_scroll_fixed',
        [
            'label'   => esc_html__( 'Column Fixed', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                'none'        => esc_html__( 'No', 'breeza' ),
                'fixed'   => esc_html__( 'Yes', 'breeza' ),
            ),
            'prefix_class' => 'pxl-row-scroll-',
            'default'      => 'none',      
        ]
    );

    $element->add_control(
        'full_content_with_space',
        [
          'label' => esc_html__( 'Full Content with space from?', 'breeza' ),
          'type'         => \Elementor\Controls_Manager::SELECT,
          'prefix_class' => 'pxl-full-content-with-space-',
          'options'      => array(
            'none'    => esc_html__( 'None', 'breeza' ),
            'start'   => esc_html__( 'Start', 'breeza' ),
            'end'     => esc_html__( 'End', 'breeza' ),
        ),
          'default'      => 'none',
          'condition' => [
            'layout' => 'full_width'
        ]
    ]
);

    $element->add_control(
        'pxl_container_width',
        [
            'label' => esc_html__('Container Width', 'breeza'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 1200,
            'condition' => [
              'layout' => 'full_width',
              'full_content_with_space!' => 'none'
          ]           
      ]
  );

    $element->add_control(
        'pxl_parallax_bg_img',
        [
            'label' => esc_html__( 'Parallax Background Image', 'breeza' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
            'hide_in_inner' => true,
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-image: url( {{URL}} );',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_parallax_bg_position',
        [
            'label' => esc_html__( 'Background Position', 'breeza' ),
            'type'         => \Elementor\Controls_Manager::SELECT,
            'hide_in_inner' => true,
            'options'      => array(
                ''              => esc_html__( 'Default', 'breeza' ),
                'center center' => esc_html__( 'Center Center', 'breeza' ),
                'center left'   => esc_html__( 'Center Left', 'breeza' ),
                'center right'  => esc_html__( 'Center Right', 'breeza' ),
                'top center'    => esc_html__( 'Top Center', 'breeza' ),
                'top left'      => esc_html__( 'Top Left', 'breeza' ),
                'top right'     => esc_html__( 'Top Right', 'breeza' ),
                'bottom center' => esc_html__( 'Bottom Center', 'breeza' ),
                'bottom left'   => esc_html__( 'Bottom Left', 'breeza' ),
                'bottom right'  => esc_html__( 'Bottom Right', 'breeza' ),
                'initial'       =>  esc_html__( 'Custom', 'breeza' ),
            ),
            'default'      => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-position: {{VALUE}};',
            ],
            'condition' => [
                'pxl_parallax_bg_img[url]!' => ''
            ]        
        ]
    );

    $element->add_responsive_control(
        'pxl_parallax_bg_pos_custom_x',
        [
            'label' => esc_html__( 'X Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,  
            'hide_in_inner' => true,
            'size_units' => [ 'px', 'em', '%', 'vw' ],
            'default' => [
                'unit' => 'px',
                'size' => 0,
            ],
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                ],
                'em' => [
                    'min' => -100,
                    'max' => 100,
                ],
                '%' => [
                    'min' => -100,
                    'max' => 100,
                ],
                'vw' => [
                    'min' => -100,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-position: {{SIZE}}{{UNIT}} {{pxl_parallax_bg_pos_custom_y.SIZE}}{{pxl_parallax_bg_pos_custom_y.UNIT}}',
            ],
            'condition' => [
                'pxl_parallax_bg_position' => [ 'initial' ],
                'pxl_parallax_bg_img[url]!' => '',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_parallax_bg_pos_custom_y',
        [
            'label' => esc_html__( 'Y Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,  
            'hide_in_inner' => true,
            'size_units' => [ 'px', 'em', '%', 'vw' ],
            'default' => [
                'unit' => 'px',
                'size' => 0,
            ],
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                ],
                'em' => [
                    'min' => -100,
                    'max' => 100,
                ],
                '%' => [
                    'min' => -100,
                    'max' => 100,
                ],
                'vw' => [
                    'min' => -100,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-position: {{pxl_parallax_bg_pos_custom_x.SIZE}}{{pxl_parallax_bg_pos_custom_x.UNIT}} {{SIZE}}{{UNIT}}',
            ],

            'condition' => [
                'pxl_parallax_bg_position' => [ 'initial' ],
                'pxl_parallax_bg_img[url]!' => '',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_parallax_bg_size',
        [
            'label' => esc_html__( 'Background Size', 'breeza' ),
            'type'         => \Elementor\Controls_Manager::SELECT,
            'hide_in_inner' => true,
            'options'      => array(
                ''              => esc_html__( 'Default', 'breeza' ),
                'auto' => esc_html__( 'Auto', 'breeza' ),
                'cover'   => esc_html__( 'Cover', 'breeza' ),
                'contain'  => esc_html__( 'Contain', 'breeza' ),
                'initial'    => esc_html__( 'Custom', 'breeza' ),
            ),
            'default'      => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-size: {{VALUE}};',
            ],
            'condition' => [
                'pxl_parallax_bg_img[url]!' => ''
            ]        
        ]
    );

    $element->end_controls_section();
};
function breeza_add_custom_section_overlay_color( \Elementor\Element_Base $element) {

    $element->start_controls_section(
        'section_overlay_color',
        [
            'label' => esc_html__( 'Breeza Overlay Color', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $element->add_control(
        'pxl_color_offset',
        [
            'label'   => esc_html__( 'Overlay Color', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                'none'        => esc_html__( 'No', 'breeza' ),
                'left'   => esc_html__( 'Left Space', 'breeza' ),
                'right'   => esc_html__( 'Right Space', 'breeza' ),
                'skew'   => esc_html__( 'Skew', 'breeza' ),
            ),
            'prefix_class' => 'pxl-bg-color-',
            'default'      => 'none',
        ]
    );

    $element->add_control(
        'overlay_left_space',
        [
            'label' => esc_html__('Overlay Left Space', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}}.pxl-bg-color-left::before' => 'left: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'pxl_color_offset' => ['left'],
            ],
        ]
    );

    $element->add_control(
        'overlay_right_space',
        [
            'label' => esc_html__('Overlay Right Space', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}}.pxl-bg-color-right::before' => 'right: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'pxl_color_offset' => ['right'],
            ],
        ]
    );

    $element->add_control(
        'offset_color',
        [
            'label' => esc_html__('Overlay Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}}.pxl-bg-color-left:before, {{WRAPPER}}.pxl-bg-color-right:before, {{WRAPPER}}.pxl-bg-color-skew:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'pxl_color_offset' => ['left','right','skew'],
            ],
        ]
    );

    $element->add_control(
        'overlay_broder_radius',
        [
            'label' => esc_html__('Overlay Border Radius', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'control_type' => 'responsive',
            'selectors' => [
                '{{WRAPPER}}.pxl-bg-color-left:before, {{WRAPPER}}.pxl-bg-color-right:before' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'pxl_color_offset' => ['left','right'],
            ],
        ]
    );

    $element->end_controls_section();
};

function breeza_add_custom_section_overlay_img( \Elementor\Element_Base $element) {

    $element->start_controls_section(
        'section_overlay_img',
        [
            'label' => esc_html__( 'Breeza Overlay Image', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $element->add_control(
        'pxl_overlay_display',
        [
            'label'   => esc_html__( 'Overlay Image', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                'none'        => esc_html__( 'No', 'breeza' ),
                'image'   => esc_html__( 'Yes', 'breeza' ),
            ),
            'prefix_class' => 'pxl-section-overlay-',
            'default'      => 'none',
        ]
    );

    $element->add_control(
        'pxl_overlay_img',
        [
            'label'   => esc_html__( 'Select Image', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::MEDIA,
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ],
        ]
    );

    $element->add_responsive_control(
        'pxl_overlay_img_size',
        [
            'label' => esc_html__( 'Background Size', 'breeza' ),
            'type'         => \Elementor\Controls_Manager::SELECT,
            'hide_in_inner' => true,
            'options'      => array(
                ''              => esc_html__( 'Default', 'breeza' ),
                'auto' => esc_html__( 'Auto', 'breeza' ),
                'cover'   => esc_html__( 'Cover', 'breeza' ),
                'contain'  => esc_html__( 'Contain', 'breeza' ),
                'initial'    => esc_html__( 'Custom', 'breeza' ),
            ),
            'default'      => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-overlay--image img' => 'object-fit: {{VALUE}};',
            ],
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]        
        ]
    );

    $element->add_control(
        'pxl_widget_el_par_popover_toggle',
        [
            'label' => esc_html__( 'Parallax', 'breeza' ),
            'type' => \Elementor\Controls_Manager::POPOVER_TOGGLE,
            'label_off' => esc_html__( 'Default', 'breeza' ),
            'label_on' => esc_html__( 'Custom', 'breeza' ),
            'return_value' => 'yes',
        ]
    );

    $element->start_popover();
    $element->add_control(
        'pxl_parallax_bg_img_effect_x',
        [
            'label' => esc_html__( 'TranslateX', 'breeza' ).' (-80)',
            'type' => 'text',
            'default' => '',  
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_y',
        [
            'label' => esc_html__( 'TranslateY', 'breeza' ).' (-80)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_z',
        [
            'label' => esc_html__( 'TranslateZ', 'breeza' ).' (-80)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_rotate_x',
        [
            'label' => esc_html__( 'Rotate X', 'breeza' ).' (30)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_rotate_y',
        [
            'label' => esc_html__( 'Rotate Y', 'breeza' ).' (30)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_rotate_z',
        [
            'label' => esc_html__( 'Rotate Z', 'breeza' ).' (30)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_scale_x',
        [
            'label' => esc_html__( 'Scale X', 'breeza' ).' (1.2)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    ); 
    $element->add_control(
        'pxl_parallax_bg_img_effect_scale_y',
        [
            'label' => esc_html__( 'Scale Y', 'breeza' ).' (1.2)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_scale_z',
        [
            'label' => esc_html__( 'Scale Z', 'breeza' ).' (1.2)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_img_effect_scale',
        [
            'label' => esc_html__( 'Scale', 'breeza' ).' (1.2)',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->add_control(
        'pxl_parallax_bg_from_scroll_custom',
        [
            'label' => esc_html__( 'Scroll From (px)', 'breeza' ).' (350) from offset top',
            'type' => 'text',
            'default' => '',
            'condition' => [
                'pxl_overlay_display' => ['image'],
            ]     
        ]
    );
    $element->end_popover(); 

    $element->add_control(
        'pxl_widget_el_pos_popover_toggle',
        [
            'label' => esc_html__( 'Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::POPOVER_TOGGLE,
            'label_off' => esc_html__( 'Default', 'breeza' ),
            'label_on' => esc_html__( 'Custom', 'breeza' ),
            'return_value' => 'yes',
        ]
    );
    $element->start_popover();
    $element->add_responsive_control(
        'pxl_widget_el_pos_left',
        [
            'label' => esc_html__( 'Left', 'breeza' ).' (50px) px,%,vw,auto',
            'type' => 'text',
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-overlay--image img' => 'left: {{VALUE}}',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_widget_el_pos_top',
        [
            'label' => esc_html__( 'Top', 'breeza' ).' (50px) px,%,vw,auto',
            'type' => 'text',
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-overlay--image img' => 'top: {{VALUE}}',
            ],
        ]
    ); 
    $element->add_responsive_control(
        'pxl_widget_el_pos_right',
        [
            'label' => esc_html__( 'Right', 'breeza' ).' (50px) px,%,vw,auto',
            'type' => 'text',
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-overlay--image img' => 'right: {{VALUE}}',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_widget_el_pos_bottom',
        [
            'label' => esc_html__( 'Bottom', 'breeza' ).' (50px) px,%,vw,auto',
            'type' => 'text',
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-overlay--image img' => 'bottom: {{VALUE}}',
            ],
        ]
    ); 
    $element->add_responsive_control(
        'pxl_widget_el_pos_width',
        [
            'label' => esc_html__( 'Width', 'breeza' ).' (50px) px,%,vw,auto',
            'type' => 'text',
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-overlay--image img' => 'width: {{VALUE}}',
            ],
        ]
    ); 
    $element->end_popover();
    $element->add_control(
        'pxl_column_overflow_hidden',
        [
            'label' => esc_html__('Overflow Hidden', 'breeza'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'label_on' => esc_html__( 'Yes', 'breeza' ),
            'label_off' => esc_html__( 'No', 'breeza' ),
            'return_value' => 'yes',
            'default' => 'no',
            'separator' => 'after',
            'prefix_class' => 'pxl-column-overflow-hidden-'
        ]
    );

    $element->end_controls_section();
};

function breeza_add_custom_section_divider( \Elementor\Element_Base $element) {

    $element->start_controls_section(
        'section_divider',
        [
            'label' => esc_html__( 'Breeza Divider', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $element->add_control(
        'row_divider',
        [
            'label'   => esc_html__( 'Divider', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                ''        => esc_html__( 'None', 'breeza' ),
                'angle-top'   => esc_html__( 'Angle Top Left', 'breeza' ),
                'angle-top-right'   => esc_html__( 'Angle Top Right', 'breeza' ),
                'angle-bottom-left'   => esc_html__( 'Angle Bottom Left', 'breeza' ),
                'angle-bottom'   => esc_html__( 'Angle Bottom Right', 'breeza' ),
                'angle-top-bottom'   => esc_html__( 'Angle Top & Bottom Right', 'breeza' ),
                'angle-top-bottom-left'   => esc_html__( 'Angle Top & Bottom Left', 'breeza' ),
                'wave-animation-top'   => esc_html__( 'Wave Animation Top', 'breeza' ),
                'wave-animation-bottom'   => esc_html__( 'Wave Animation Bottom 1', 'breeza' ),
                'wave-animation-bottom2'   => esc_html__( 'Wave Animation Bottom 2', 'breeza' ),
                'curved-top'   => esc_html__( 'Curved Top', 'breeza' ),
                'curved-bottom'   => esc_html__( 'Curved Bottom', 'breeza' ),
                'vertical1'   => esc_html__( 'Divider Vertical', 'breeza' ),
                'vertical-horizontal'   => esc_html__( 'Divider Vertical + Horizontal', 'breeza' ),
            ),
            'prefix_class' => 'pxl-row-divider-active pxl-row-divider-',
            'default'      => '',
        ]
    );

    $element->add_control(
        'item_image_bg', 
        [
            'label' => esc_html__('Image Background', 'breeza' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
            'condition' => [
                'row_divider' => ['wave-animation-bottom2'],
            ],
        ]
    );

    $element->add_control(
        'item_image_mask', 
        [
            'label' => esc_html__('Image Mask', 'breeza' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
            'condition' => [
                'row_divider' => ['wave-animation-bottom2'],
            ],
        ]
    );

    $element->add_control(
        'divider_color',
        [
            'label' => esc_html__('Divider Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-row-angle, {{WRAPPER}} .pxl-wave-parallax > use' => 'fill: {{VALUE}} !important;',
                '{{WRAPPER}} .pxl-divider-vertical > div' => 'background-color: {{VALUE}} !important;',
            ],
        ]
    );

    $element->add_responsive_control(
        'divider_height',
        [
            'label' => esc_html__('Divider Height', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-row-angle, {{WRAPPER}} .pxl-section-waves' => 'height: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'row_divider!' => ['vertical1'],
            ],     
        ]
    );

    $element->end_controls_section();
};

function breeza_add_custom_section_particles( \Elementor\Element_Base $element) {

    $element->start_controls_section(
        'section_particles',
        [
            'label' => esc_html__( 'Breeza Particles', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $element->add_control(
        'row_particles_display',
        [
            'label'   => esc_html__( 'Particles', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',  
        ]
    );

    $element->add_control(
        'number',
        [
            'label' => esc_html__('Number', 'breeza'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 4,      
            'condition' => [
                'row_particles_display' => ['yes'],
            ],     
        ]
    );

    $element->add_control(
        'size',
        [
            'label' => esc_html__('Size', 'breeza'),
            'type' => \Elementor\Controls_Manager::NUMBER,
            'default' => 3, 
            'condition' => [
                'row_particles_display' => ['yes'],
            ],           
        ]
    );

    $element->add_control(
        'size_random',
        [
            'label' => esc_html__('Size Random', 'breeza'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
            'condition' => [
                'row_particles_display' => ['yes'],
            ],   
        ]
    );

    $element->add_control(
        'move_direction',
        [
            'label'   => esc_html__( 'Move Direction', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                'none'        => esc_html__( 'None', 'breeza' ),
                'top'        => esc_html__( 'Top', 'breeza' ),
                'top-right'        => esc_html__( 'Top Right', 'breeza' ),
                'right'        => esc_html__( 'Right', 'breeza' ),
                'bottom-right'        => esc_html__( 'Bottom Right', 'breeza' ),
                'bottom'        => esc_html__( 'Bottom', 'breeza' ),
                'bottom-left'        => esc_html__( 'Bottom Left', 'breeza' ),
                'left'        => esc_html__( 'Left', 'breeza' ),
                'top-left'        => esc_html__( 'Top Left', 'breeza' ),
            ),
            'default'      => 'none',
            'condition' => [
                'row_particles_display' => ['yes'],
            ],  
        ]
    );

    $repeater = new \Elementor\Repeater();
    $repeater->add_control(
        'particle_color', 
        [
            'label' => esc_html__('Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
        ]
    );
    $element->add_control(
        'particle_color_item',
        [
            'label' => esc_html__('Color', 'breeza'),
            'type' => \Elementor\Controls_Manager::REPEATER,
            'fields' => $repeater->get_controls(),
            'default' => [],
            'condition' => [
                'row_particles_display' => ['yes'],
            ],    
        ]
    );

    $element->end_controls_section();
};

function breeza_add_custom_section_effect_image( \Elementor\Element_Base $element) {

    $element->start_controls_section(
        'section_effect_image',
        [
            'label' => esc_html__( 'Breeza Effect Images', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $repeater_img = new \Elementor\Repeater();

    $repeater_img->add_control(
        'item_image', 
        [
            'label' => esc_html__('Image', 'breeza' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
        ]
    );

    $repeater_img->add_control(
        'image_position', 
        [
            'label' => esc_html__('Image Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'p-top-left' => 'Top Left',
                'p-top-right' => 'Top Right',
                'p-bottom-left' => 'Bottom Left',
                'p-bottom-right' => 'Bottom Right',
            ],
            'default' => 'p-top-left',
        ]
    );

    $repeater_img->add_control(
        'image_position_top', 
        [
            'label' => esc_html__('Top Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px', '%' ],
            'control_type' => 'responsive',
            'default' => [
                'size' => 0,
                'unit' => '%',
            ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-section-effect-images {{CURRENT_ITEM}}' => 'top: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'image_position' => ['p-top-left', 'p-top-right'],
            ],
        ]
    );

    $repeater_img->add_control(
        'image_position_left', 
        [
            'label' => esc_html__('Left Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px', '%' ],
            'control_type' => 'responsive',
            'default' => [
                'size' => 0,
                'unit' => '%',
            ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-section-effect-images {{CURRENT_ITEM}}' => 'left: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'image_position' => ['p-top-left', 'p-bottom-left'],
            ],
        ]
    );

    $repeater_img->add_control(
        'image_position_bottom', 
        [
            'label' => esc_html__('Bottom Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px', '%' ],
            'control_type' => 'responsive',
            'default' => [
                'size' => 0,
                'unit' => '%',
            ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-section-effect-images {{CURRENT_ITEM}}' => 'bottom: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'image_position' => ['p-bottom-left', 'p-bottom-right'],
            ],
        ]
    );

    $repeater_img->add_control(
        'image_position_right', 
        [
            'label' => esc_html__('Right Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'size_units' => [ 'px', '%' ],
            'control_type' => 'responsive',
            'default' => [
                'size' => 0,
                'unit' => '%',
            ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-section-effect-images {{CURRENT_ITEM}}' => 'right: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'image_position' => ['p-top-right', 'p-bottom-right'],
            ],
        ]
    );

    $repeater_img->add_control(
        'effect_image', 
        [
            'label' => esc_html__('Image Effect', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => 'None',
                'pxl-image-spin' => 'Spin',
                'pxl-image-bounce' => 'Bounce',
                'slide-up-down' => 'Slide Up Down',
                'slide-top-to-bottom' => 'Slide Top To Bottom ',
                'pxl-image-effect2' => 'Slide Bottom To Top ',
                'slide-right-to-left' => 'Slide Right To Left ',
                'slide-left-to-right' => 'Slide Left To Right ',
                'pxl-parallax-scroll' => 'Parallax Scroll',
                'pxl-parallax-hover' => 'Parallax Hover',
            ],
            'default' => '',
        ]
    );
    
    $repeater_img->add_control(
        'parallax_scroll_type', 
        [
            'label' => esc_html__('Parallax Scroll Type', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'y' => 'Effect Y',
                'x' => 'Effect X',
                'z' => 'Effect Z',
            ],
            'default' => 'y',
            'condition' => [
                'effect_image' => 'pxl-parallax-scroll',
            ],
        ]
    );

    $repeater_img->add_control(
        'parallax_scroll_value', 
        [
            'label' => esc_html__('Parallax Scroll Value', 'breeza' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default' => '80',
            'description' => esc_html__('Enter number.', 'breeza' ),
            'condition' => [
                'effect_image' => 'pxl-parallax-scroll',
            ],
        ]
    );

    $repeater_img->add_control(
        'parallax_hover_value', 
        [
            'label' => esc_html__('Parallax Hover Value', 'breeza' ),
            'type' => \Elementor\Controls_Manager::TEXT,
            'default' => '40',
            'description' => esc_html__('Enter number.', 'breeza' ),
            'condition' => [
                'effect_image' => 'pxl-parallax-hover',
            ],
        ]
    );

    $repeater_img->add_control(
        'image_display', 
        [
            'label' => esc_html__('Hide on Screen <= 1400px', 'breeza'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ]
    );

    $repeater_img->add_control(
        'image_display_md', 
        [
            'label' => esc_html__('Hide on Screen <= 1200px', 'breeza'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ]
    );

    $repeater_img->add_control(
        'image_display_sm', 
        [
            'label' => esc_html__('Hide on Screen <= 767px', 'breeza'),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'false',
        ]
    );

    $element->add_control(
        'row_effect_images',
        [
            'label'   => esc_html__( 'Images', 'breeza' ),
            'type' => \Elementor\Controls_Manager::REPEATER,
            'fields' => $repeater_img->get_controls(),
            'default' => [],
        ]
    );

    $element->end_controls_section();
};

/* End Section */

/* Start Column */
add_action( 'elementor/element/column/layout/after_section_end', 'breeza_add_custom_columns_controls' ); 
function breeza_add_custom_columns_controls( \Elementor\Element_Base $element) {
    $element->start_controls_section(
        'columns_pxl',
        [
            'label' => esc_html__( 'Breeza General Settings', 'breeza' ),
            'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
        ]
    );

    $element->add_control(
        'col_content_align',
        [
            'label'   => esc_html__( 'Column Content Align', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                ''           => esc_html__( 'Default', 'breeza' ),
                'start'           => esc_html__( 'Start', 'breeza' ),
                'center'           => esc_html__( 'Center', 'breeza' ),
                'end'           => esc_html__( 'End', 'breeza' ),
            ),
            'default' => '',
            'prefix_class' => 'pxl-col-align-'
        ]
    );
    $element->add_control(
        'col_sticky',
        [
            'label'   => esc_html__( 'Column Sticky', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                'none'           => esc_html__( 'No', 'breeza' ),
                'sticky' => esc_html__( 'Yes', 'breeza' ),
            ),
            'default' => 'none',
            'prefix_class' => 'pxl-column-'
        ]
    );
    $element->add_control(
        'pxl_section_offset',
        [
          'label' => esc_html__( 'Section Offset', 'breeza' ),
          'type'         => \Elementor\Controls_Manager::SELECT,
          'prefix_class' => 'pxl-section-offset-',
          'hide_in_inner' => true,
          'options'      => array(
            'none'    => esc_html__( 'None', 'breeza' ),
            'left'   => esc_html__( 'Left', 'breeza' ),
            'right'     => esc_html__( 'Right', 'breeza' ),
        ),
          'default'      => 'none',
      ]
  );

    $element->add_control(
        'pxl_particles',
        [
            'label'   => esc_html__( 'Particles Background', 'breeza' ),
            'type'    => \Elementor\Controls_Manager::SELECT,
            'options' => array(
                'none'        => esc_html__( 'No', 'breeza' ),
                'yes'   => esc_html__( 'Yes', 'breeza' ),
            ),
            'prefix_class' => 'pxl-particle-background-',
            'default'      => 'none',
        ]
    );

    $element->add_control(
        'pxl_column_parallax_bg_img',
        [
            'label' => esc_html__( 'Parallax Background Image', 'breeza' ),
            'type' => \Elementor\Controls_Manager::MEDIA,
            'hide_in_inner' => true,
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-image: url( {{URL}} );',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_column_parallax_bg_position',
        [
            'label' => esc_html__( 'Background Position', 'breeza' ),
            'type'         => \Elementor\Controls_Manager::SELECT,
            'hide_in_inner' => true,
            'options'      => array(
                ''              => esc_html__( 'Default', 'breeza' ),
                'center center' => esc_html__( 'Center Center', 'breeza' ),
                'center left'   => esc_html__( 'Center Left', 'breeza' ),
                'center right'  => esc_html__( 'Center Right', 'breeza' ),
                'top center'    => esc_html__( 'Top Center', 'breeza' ),
                'top left'      => esc_html__( 'Top Left', 'breeza' ),
                'top right'     => esc_html__( 'Top Right', 'breeza' ),
                'bottom center' => esc_html__( 'Bottom Center', 'breeza' ),
                'bottom left'   => esc_html__( 'Bottom Left', 'breeza' ),
                'bottom right'  => esc_html__( 'Bottom Right', 'breeza' ),
                'initial'       =>  esc_html__( 'Custom', 'breeza' ),
            ),
            'default'      => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-position: {{VALUE}};',
            ],
            'condition' => [
                'pxl_column_parallax_bg_img[url]!' => ''
            ]        
        ]
    );

    $element->add_responsive_control(
        'pxl_column_parallax_bg_pos_custom_x',
        [
            'label' => esc_html__( 'X Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,  
            'hide_in_inner' => true,
            'size_units' => [ 'px', 'em', '%', 'vw' ],
            'default' => [
                'unit' => 'px',
                'size' => 0,
            ],
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                ],
                'em' => [
                    'min' => -100,
                    'max' => 100,
                ],
                '%' => [
                    'min' => -100,
                    'max' => 100,
                ],
                'vw' => [
                    'min' => -100,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-position: {{SIZE}}{{UNIT}} {{pxl_column_parallax_bg_pos_custom_y.SIZE}}{{pxl_column_parallax_bg_pos_custom_y.UNIT}}',
            ],
            'condition' => [
                'pxl_column_parallax_bg_position' => [ 'initial' ],
                'pxl_column_parallax_bg_img[url]!' => '',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_column_parallax_bg_pos_custom_y',
        [
            'label' => esc_html__( 'Y Position', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,  
            'hide_in_inner' => true,
            'size_units' => [ 'px', 'em', '%', 'vw' ],
            'default' => [
                'unit' => 'px',
                'size' => 0,
            ],
            'range' => [
                'px' => [
                    'min' => -800,
                    'max' => 800,
                ],
                'em' => [
                    'min' => -100,
                    'max' => 100,
                ],
                '%' => [
                    'min' => -100,
                    'max' => 100,
                ],
                'vw' => [
                    'min' => -100,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-position: {{pxl_column_parallax_bg_pos_custom_x.SIZE}}{{pxl_column_parallax_bg_pos_custom_x.UNIT}} {{SIZE}}{{UNIT}}',
            ],

            'condition' => [
                'pxl_column_parallax_bg_position' => [ 'initial' ],
                'pxl_column_parallax_bg_img[url]!' => '',
            ],
        ]
    );
    $element->add_responsive_control(
        'pxl_column_parallax_bg_size',
        [
            'label' => esc_html__( 'Background Size', 'breeza' ),
            'type'         => \Elementor\Controls_Manager::SELECT,
            'hide_in_inner' => true,
            'options'      => array(
                ''              => esc_html__( 'Default', 'breeza' ),
                'auto' => esc_html__( 'Auto', 'breeza' ),
                'cover'   => esc_html__( 'Cover', 'breeza' ),
                'contain'  => esc_html__( 'Contain', 'breeza' ),
                'initial'    => esc_html__( 'Custom', 'breeza' ),
            ),
            'default'      => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-parallax--image' => 'background-size: {{VALUE}};',
            ],
            'condition' => [
                'pxl_column_parallax_bg_img[url]!' => ''
            ]        
        ]
    );

    $element->end_controls_section();
}

/* End Column */

add_action( 'elementor/element/after_add_attributes', 'breeza_custom_el_attributes', 10, 1 );
function breeza_custom_el_attributes($el){
    if( 'section' !== $el->get_name() ) {
        return;
    }
    $settings = $el->get_settings();

    $pxl_container_width = !empty($settings['pxl_container_width']) ? (int)$settings['pxl_container_width'] : 1200;

    if( isset( $settings['stretch_section']) && $settings['stretch_section'] == 'section-stretched') 
        $pxl_container_width = $pxl_container_width - 30;

    $pxl_container_width = $pxl_container_width.'px';

    if ( isset( $settings['full_content_with_space'] ) && $settings['full_content_with_space'] === 'start' ) {

        $el->add_render_attribute( '_wrapper', 'style', 'padding-left: calc( (100% - '.$pxl_container_width.')/2);');
    }
    if ( isset( $settings['full_content_with_space'] ) && $settings['full_content_with_space'] === 'end' ) {

      $el->add_render_attribute( '_wrapper >', 'style', 'padding-right: calc( (100% - '.$pxl_container_width.')/2);');
  }
}

add_filter( 'pxl-custom-section/before-render', 'breeza_custom_section_before_render', 10, 3 );
function breeza_custom_section_before_render($html ,$settings, $el) {

    if(!empty($settings['row_divider'])) {
        if($settings['row_divider'] == 'angle-top' || $settings['row_divider'] == 'angle-bottom' || $settings['row_divider'] == 'angle-top-right' || $settings['row_divider'] == 'angle-bottom-left') {
            $html .=  '<svg class="pxl-row-angle" style="fill:#ffffff" xmlns="http://www.w3.org/2000/svg" width="100%" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" height="130px"><path stroke="" stroke-width="0" d="M0 100 L100 0 L200 100"></path></svg>';
        }
        if($settings['row_divider'] == 'angle-top-bottom' || $settings['row_divider'] == 'angle-top-bottom-left') {
            $html .=  '<svg class="pxl-row-angle pxl-row-angle-top" style="fill:#ffffff" xmlns="http://www.w3.org/2000/svg" width="100%" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" height="130px"><path stroke="" stroke-width="0" d="M0 100 L100 0 L200 100"></path></svg><svg class="pxl-row-angle pxl-row-angle-bottom" style="fill:#ffffff" xmlns="http://www.w3.org/2000/svg" width="100%" viewBox="0 0 100 100" version="1.1" preserveAspectRatio="none" height="130px"><path stroke="" stroke-width="0" d="M0 100 L100 0 L200 100"></path></svg>';
        }
        if($settings['row_divider'] == 'wave-animation-top' || $settings['row_divider'] == 'wave-animation-bottom') {
            $html .=  '<svg class="pxl-row-angle" xmlns="http://www.w3.org/2000/svg" preserveAspectRatio="none" viewBox="0 0 1440 150" fill="#fff"><path d="M 0 26.1978 C 275.76 83.8152 430.707 65.0509 716.279 25.6386 C 930.422 -3.86123 1210.32 -3.98357 1439 9.18045 C 2072.34 45.9691 2201.93 62.4429 2560 26.198 V 172.199 L 0 172.199 V 26.1978 Z"><animate repeatCount="indefinite" fill="freeze" attributeName="d" dur="10s" values="M0 25.9086C277 84.5821 433 65.736 720 25.9086C934.818 -3.9019 1214.06 -5.23669 1442 8.06597C2079 45.2421 2208 63.5007 2560 25.9088V171.91L0 171.91V25.9086Z; M0 86.3149C316 86.315 444 159.155 884 51.1554C1324 -56.8446 1320.29 34.1214 1538 70.4063C1814 116.407 2156 188.408 2560 86.315V232.317L0 232.316V86.3149Z; M0 53.6584C158 11.0001 213 0 363 0C513 0 855.555 115.001 1154 115.001C1440 115.001 1626 -38.0004 2560 53.6585V199.66L0 199.66V53.6584Z; M0 25.9086C277 84.5821 433 65.736 720 25.9086C934.818 -3.9019 1214.06 -5.23669 1442 8.06597C2079 45.2421 2208 63.5007 2560 25.9088V171.91L0 171.91V25.9086Z"></animate></path></svg>';
        }
        if($settings['row_divider'] == 'wave-animation-bottom2') {
            $pxl_uniqid = uniqid();
            $html .=  '<svg class="pxl-section-waves pxl-section-waves1" style="background-image: url('.esc_url($settings['item_image_bg']['url']).');mask-image: url('.esc_url($settings['item_image_mask']['url']).');" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"viewBox="0 24 150 28" preserveAspectRatio="none" shape-rendering="auto"><defs><path id="pxl-gentle-wave-'.$pxl_uniqid.'" d="M-160 44c30 0 58-18 88-18s 58 18 88 18 58-18 88-18 58 18 88 18 v44h-352z" /></defs><g class="pxl-wave-parallax"><use xlink:href="#pxl-gentle-wave-'.$pxl_uniqid.'" x="48" y="0" /><use xlink:href="#pxl-gentle-wave-'.$pxl_uniqid.'" x="48" y="3" /><use xlink:href="#pxl-gentle-wave-'.$pxl_uniqid.'" x="48" y="5" /><use xlink:href="#pxl-gentle-wave-'.$pxl_uniqid.'" x="48" y="7" /></g></svg>';
        }
        if($settings['row_divider'] == 'curved-top' || $settings['row_divider'] == 'curved-bottom') {
            $html .=  '<svg class="pxl-row-angle" xmlns="http://www.w3.org/2000/svg" width="100%" viewBox="0 0 1920 128" version="1.1" preserveAspectRatio="none" style="fill:#ffffff"><path stroke-width="0" d="M-1,126a3693.886,3693.886,0,0,1,1921,2.125V-192H-7Z"></path></svg>';
        }
        if($settings['row_divider'] == 'vertical1') {
            $html .=  '<div class="pxl-divider-vertical"><div class="pxl-section-line1"></div><div class="pxl-section-line2"></div><div class="pxl-section-line3"></div></div>';
        }
        if($settings['row_divider'] == 'vertical-horizontal') {
            $html .=  '<div class="pxl-divider-vertical"><div class="pxl-section-line1"></div><div class="pxl-section-line2"></div><div class="pxl-section-line3"></div><div class="pxl-section-line4"></div><div class="pxl-section-line5"></div></div><div class="pxl-divider-horizontal"><div class="pxl-section-line1"></div><div class="pxl-section-line3"></div><div class="pxl-section-line4"></div></div>';
        }
    }

    if($settings['pxl_overlay_display'] == 'image') {
       $effects = [];
       if(!empty($settings['pxl_parallax_bg_img_effect_x'])){
        $effects['x'] = (int)$settings['pxl_parallax_bg_img_effect_x'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_y'])){
        $effects['y'] = (int)$settings['pxl_parallax_bg_img_effect_y'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_z'])){
        $effects['z'] = (int)$settings['pxl_parallax_bg_img_effect_z'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_rotate_x'])){
        $effects['rotateX'] = (float)$settings['pxl_parallax_bg_img_effect_rotate_x'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_rotate_y'])){
        $effects['rotateY'] = (float)$settings['pxl_parallax_bg_img_effect_rotate_y'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_rotate_z'])){
        $effects['rotateZ'] = (float)$settings['pxl_parallax_bg_img_effect_rotate_z'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_scale'])){
        $effects['scale'] = (float)$settings['pxl_parallax_bg_img_effect_scale'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_scale_x'])){
        $effects['scaleX'] = (float)$settings['pxl_parallax_bg_img_effect_scale_x'];
    }
    if(!empty($settings['pxl_parallax_bg_img_effect_scale_y'])){
        $effects['scaleY'] = (float)$settings['pxl_parallax_bg_img_effect_scale_y'];
    }
    if(!empty($settings['pxl_parallax_bg_from_scroll_custom'])){
        $effects['from-scroll-custom'] = (int)$settings['pxl_parallax_bg_from_scroll_custom'];
    }

    $data_parallax = json_encode($effects);
    if(!empty($settings['pxl_overlay_img']['url'])){
       $html .=  '<div class="pxl-overlay--image bg-image"><img data-parallax="'.esc_attr($data_parallax).'" src="'.esc_url($settings['pxl_overlay_img']['url']).'" alt="Image description"></div>';
   }
}
if(!empty($settings['pxl_parallax_bg_img']['url'])){
    $html .=  '<div class="pxl-parallax--image pxl--parallax" data-stellar-background-ratio="0.5" style="background-image:url('.$settings['pxl_parallax_bg_img']['url'].');"></div>';
}

if(!empty($settings['row_particles_display']) && $settings['row_particles_display'] == 'yes') {
    wp_enqueue_script('particles-background');
    $s_random = '';
    if($settings['size_random'] == 'yes') {
        $s_random = 'true';
    } else {
        $s_random = 'false';
    }
    $colors = [];
    foreach($settings['particle_color_item'] as $values) {
        $colors[] = $values['particle_color'];
    }
    if(empty($colors)) {
        $colors = ["#b73490","#006b41","#cd3000","#608ecb","#ffb500","#6e4e00","#6b541b","#305686","#00ffb4","#8798ff","#0044c1"];
    }
    $el->add_render_attribute( 'color', 'data-color', json_encode($colors) );
    $html .= '<div id="pxl-row-particles-'.uniqid().'" class="pxl-row-particles" data-number="'.$settings['number'].'" data-size="'.$settings['size'].'" data-size-random="'.$s_random.'" data-move-direction="'.$settings['move_direction'].'" '.$el->get_render_attribute_string( 'color' ).'></div>';
}

if(isset($settings['row_effect_images']) && !empty($settings['row_effect_images']) && count($settings['row_effect_images'])):
    $html .= '<div class="pxl-section-effect-images">';
foreach ($settings['row_effect_images'] as $key => $value):
    $item_image = isset($value['item_image']) ? $value['item_image'] : '';
    $effect_image = isset($value['effect_image']) ? $value['effect_image'] : '';
    $image_display = isset($value['image_display']) ? $value['image_display'] : '';
    $image_display_md = isset($value['image_display_md']) ? $value['image_display_md'] : '';
    $image_display_sm = isset($value['image_display_sm']) ? $value['image_display_sm'] : '';
    $parallax_scroll_type = isset($value['parallax_scroll_type']) ? $value['parallax_scroll_type'] : '';
    $parallax_scroll_value = isset($value['parallax_scroll_value']) ? $value['parallax_scroll_value'] : '';
    $hidde_class = '';
    if($image_display !== 'false') {
       $hidde_class = 'pxl-hide-sr-lg';
   }
   $hidde_class_md = '';
   if($image_display_md !== 'false') {
       $hidde_class_md = 'pxl-hide-sr-md';
   }
   $hidde_class_sm = '';
   if($image_display_sm !== 'false') {
       $hidde_class_sm = 'pxl-hide-sr-sm';
   }
   $effects = [];
   if($parallax_scroll_type == 'y' && !empty($parallax_scroll_value)){
    $effects['y'] = (int)$parallax_scroll_value;
}
if($parallax_scroll_type == 'x' && !empty($parallax_scroll_value)){
    $effects['x'] = (int)$parallax_scroll_value;
}
if($parallax_scroll_type == 'z' && !empty($parallax_scroll_value)){
    $effects['z'] = (int)$parallax_scroll_value;
}
$data_parallax = json_encode($effects);

wp_enqueue_script( 'pxl-parallax-move-mouse');
$parallax_hover_value = isset($value['parallax_hover_value']) ? $value['parallax_hover_value'] : '';

$html .= '<img data-parallax-value="'.esc_attr($parallax_hover_value).'" data-parallax="'.esc_attr($data_parallax).'" class="pxl-item--image elementor-repeater-item-'.$value['_id'].' '.$effect_image.' '.$hidde_class.' '.$hidde_class_md.' '.$hidde_class_sm.'" src="'.$item_image['url'].'" />';
endforeach;
$html .= '</div>';
endif;
$html_id = uniqid();
return $html;

}

add_filter( 'pxl-custom-column/before-render', 'breeza_custom_column_before_render', 10, 3 );
function breeza_custom_column_before_render($html, $settings, $el){
    if(!empty($settings['pxl_column_parallax_bg_img']['url'])){
        $effects = [];
        if(!empty($settings['pxl_column_parallax_bg_img_effect_x'])){
            $effects['x'] = (int)$settings['pxl_column_parallax_bg_img_effect_x'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_y'])){
            $effects['y'] = (int)$settings['pxl_column_parallax_bg_img_effect_y'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_z'])){
            $effects['z'] = (int)$settings['pxl_column_parallax_bg_img_effect_z'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_rotate_x'])){
            $effects['rotateX'] = (float)$settings['pxl_column_parallax_bg_img_effect_rotate_x'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_rotate_y'])){
            $effects['rotateY'] = (float)$settings['pxl_column_parallax_bg_img_effect_rotate_y'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_rotate_z'])){
            $effects['rotateZ'] = (float)$settings['pxl_column_parallax_bg_img_effect_rotate_z'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_scale'])){
            $effects['scale'] = (float)$settings['pxl_column_parallax_bg_img_effect_scale'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_scale_x'])){
            $effects['scaleX'] = (float)$settings['pxl_column_parallax_bg_img_effect_scale_x'];
        }
        if(!empty($settings['pxl_column_parallax_bg_img_effect_scale_y'])){
            $effects['scaleY'] = (float)$settings['pxl_column_parallax_bg_img_effect_scale_y'];
        }
        if(!empty($settings['pxl_column_parallax_bg_from_scroll_custom'])){
            $effects['from-scroll-custom'] = (int)$settings['pxl_column_parallax_bg_from_scroll_custom'];
        }

        $data_parallax = json_encode($effects);
        $html .=  '<div class="pxl-parallax--image pxl--parallax" data-stellar-background-ratio="0.5" style="background-image:url('.$settings['pxl_column_parallax_bg_img']['url'].');"></div>';
    }
    return $html;
}