<?php

$html_id = pxl_get_element_id($settings);
$orderby = $widget->get_setting('orderby', 'date');
$order = $widget->get_setting('order', 'desc');
$limit = $widget->get_setting('limit', 6);
$post_ids = $widget->get_setting('post_ids', '');
$select_post_by = $widget->get_setting('select_post_by', '');
$source = $post_ids = [];
if($select_post_by === 'post_selected'){
    $post_ids = $widget->get_setting('source_'.$settings['post_type'].'_post_ids', '');
}else{
    $source  = $widget->get_setting('source_'.$settings['post_type'], '');
}
$settings['layout']    = $settings['layout_'.$settings['post_type']];
extract(pxl_get_posts_of_grid('case', [
    'source' => $source,
    'orderby' => $orderby,
    'order' => $order,
    'limit' => $limit,
    'post_ids' => $post_ids,
]));

$pxl_animate = $widget->get_setting('pxl_animate', '');
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');

$arrows = $widget->get_setting('arrows','false');  
$pagination = $widget->get_setting('pagination','false');
$pagination_type = $widget->get_setting('pagination_type','bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite');
$speed = $widget->get_setting('speed', '500');

$img_size = $widget->get_setting('img_size');
$show_excerpt = $widget->get_setting('show_excerpt');
$show_button = $widget->get_setting('show_button');
$show_category = $widget->get_setting('show_category');
$show_excerpt = $widget->get_setting('show_excerpt');
$num_words = $widget->get_setting('num_words');

$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => '1', 
    'slide_percolumnfill'           => '1', 
    'slide_mode'                    => 'slide', 
    'slides_to_show'                => $col_xl,
    'slides_to_show_xxl'             => $col_xxl,  
    'slides_to_show_lg'             => $col_lg, 
    'slides_to_show_md'             => $col_md, 
    'slides_to_show_sm'             => $col_sm, 
    'slides_to_show_xs'             => $col_xs, 
    'slides_to_scroll'              => $slides_to_scroll,  
    'slides_gutter'                 => 30, 
    'arrow'                         => $arrows,
    'pagination'                    => $pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => $autoplay,
    'pause_on_hover'                => $pause_on_hover,
    'pause_on_interaction'          => 'true',
    'delay'                         => $autoplay_speed,
    'loop'                          => $infinite,
    'speed'                         => $speed
];

$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]); ?>

<?php if (is_array($posts)): ?>
    <div class="pxl-swiper-sliders pxl-case-carousel pxl-case-carousel2 pxl-swiper-boxshadow" <?php if($settings['drap']) : ?>data-cursor-drap="<?php echo esc_html('DRAG', 'breeza'); ?>"<?php endif; ?>>
        <div class="pxl-carousel-inner">
            <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
                <div class="pxl-swiper-wrapper">
                    <?php
                    $images_size = !empty($img_size) ? $img_size : '350x343';
                    foreach ($posts as $post):
                        $img_id       = get_post_thumbnail_id( $post->ID );
                        $case_external_link = get_post_meta($post->ID, 'case_external_link', true);                        
                        $author = get_user_by('id', $post->post_author); ?>
                        <div class="pxl-swiper-slide">
                            <div class="pxl-item--inner <?php echo esc_attr($pxl_animate); ?> <?php if($settings['show_img'] == true ) {echo 'show-img';} ?>" data-wow-duration="1.2s">
                                <a href="<?php if(!empty($case_external_link)) { echo esc_url($case_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>"></a>
                                <?php if (has_post_thumbnail($post->ID) && wp_get_attachment_image_src(get_post_thumbnail_id($post->ID), false)): 
                                $img_id       = get_post_thumbnail_id( $post->ID );
                                $img          = breeza_get_image_by_size( array(
                                    'attach_id'  => $img_id,
                                    'thumb_size' => $images_size
                                ) );
                                $thumbnail    = $img['thumbnail']; ?>
                                <div class="pxl-item--featured">
                                    <?php echo wp_kses_post($thumbnail); ?>
                                </div>
                            <?php endif; ?>
                            <div class="pxl-item--holder">
                                <?php if($show_category) : ?>            
                                    <span class="pxl-item--category"><?php the_terms( $post->ID, 'case-category', '', ', ', '' ); ?></span>             
                                <?php endif; ?>
                                <h6 class="pxl-item--title">
                                    <a href="<?php if(!empty($case_external_link)) { echo esc_url($case_external_link); } else { echo esc_url(get_permalink( $post->ID )); } ?>"><?php echo esc_attr(get_the_title($post->ID)); ?></a>
                                </h6>  
                                <?php if($show_button == 'true') : ?>
                                    <div class="pxl-post--readmore">
                                        <a href="<?php echo esc_url(get_permalink( $post->ID )); ?>">
                                            <svg xmlns="http://www.w3.org/2000/svg" width="15" height="15" viewBox="0 0 15 15" fill="none">
                                                <path d="M7.30341 0.771319C7.49677 0.578199 7.75888 0.469726 8.03216 0.469726C8.30544 0.469726 8.56755 0.5782 8.76091 0.771319L14.6047 6.61507C14.7978 6.80843 14.9062 7.07054 14.9062 7.34382C14.9062 7.6171 14.7978 7.87921 14.6047 8.07257L8.76091 13.9163C8.5653 14.0984 8.30673 14.1975 8.03954 14.1929C7.77235 14.1883 7.51736 14.0803 7.32816 13.8916C7.13945 13.7024 7.03143 13.4474 7.02682 13.1802C7.0222 12.913 7.12134 12.6544 7.30341 12.4588L11.3872 8.37507L1.15716 8.37507C0.883652 8.37507 0.621351 8.26642 0.427953 8.07302C0.234557 7.87962 0.125908 7.61732 0.125908 7.34382C0.125908 7.07031 0.234557 6.80801 0.427953 6.61461C0.621351 6.42122 0.883652 6.31257 1.15716 6.31257L11.3872 6.31257L7.30341 2.22882C7.11029 2.03546 7.00181 1.77335 7.00181 1.50007C7.00181 1.22679 7.11029 0.964679 7.30341 0.771319Z" fill="white"/>
                                            </svg>
                                        </a>
                                    </div>
                                <?php endif; ?>                
                            </div>
                        </div>
                    </div>
                <?php endforeach; ?>
            </div> 
        </div>
        <?php if($arrows !== 'false'): ?>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-next"><i class="caseicon-angle-arrow-right"></i></div>
            <div class="pxl-swiper-arrow pxl-swiper-arrow-prev"><i class="caseicon-angle-arrow-left"></i></div>
        <?php endif; ?>
        <?php if($pagination !== 'false'): ?>
            <div class="pxl-swiper-pagination">
                <div class="pxl-swiper-dots style-1"></div>
            </div>
        <?php endif; ?>
    </div>
</div>
<?php endif; ?>