<?php
if ( ! empty( $settings['button_link']['url'] ) ) {
    $widget->add_render_attribute( 'button', 'href', $settings['button_link']['url'] );

    if ( $settings['button_link']['is_external'] ) {
        $widget->add_render_attribute( 'button', 'target', '_blank' );
    }

    if ( $settings['button_link']['nofollow'] ) {
        $widget->add_render_attribute( 'button', 'rel', 'nofollow' );
    }
}
?>
<div class="pxl-pricing pxl-pricing2 <?php echo esc_attr($settings['pxl_animate'].' '.$settings['popular']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
    <div class="pxl-item--inner">
        <?php if(!empty($settings['title_popular'])) : ?>
            <h6 class="pxl-item--title-box el-empty"><svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" viewBox="0 0 16 16" fill="none">
              <path d="M13.2496 5.61406H9.80746L12.9028 1.70312C12.9668 1.62031 12.909 1.5 12.8043 1.5H6.81214C6.76839 1.5 6.72621 1.52344 6.70433 1.5625L2.65589 8.55469C2.60746 8.6375 2.66683 8.74219 2.76371 8.74219H5.48871L4.09183 14.3297C4.06214 14.4516 4.20902 14.5375 4.29964 14.45L13.3356 5.82812C13.4168 5.75156 13.3621 5.61406 13.2496 5.61406Z" fill="#FFCD28"/>
          </svg><?php echo esc_attr($settings['title_popular']); ?></h6>
      <?php endif; ?>
      <?php if (!empty($settings['pxl_icon']['value']) ) : ?>
        <div class="pxl-item--icon">
            <?php \Elementor\Icons_Manager::render_icon( $settings['pxl_icon'], [ 'aria-hidden' => 'true', 'class' => '' ], 'i' ); ?>
        </div>
    <?php endif; ?>

    <?php if(!empty($settings['title'])) : ?>
        <h6 class="pxl-item--title el-empty"><?php echo esc_attr($settings['title']); ?></h6>
    <?php endif; ?>
    <?php if(!empty($settings['description'])) : ?>
        <p class="pxl-item--description el-empty"><span><?php echo esc_attr($settings['description']); ?></span></p>
    <?php endif; ?>

    <?php if(!empty($settings['price'])) : ?>
        <div class="pxl--price-box">
            <div class="pxl--price">
                <h1 class="pxl-item--price">
                    <?php echo pxl_print_html($settings['price']); ?>
                </h1>
                <?php if(!empty($settings['bottom_text'])) : ?>
                    <div class="bottom-text">
                        <p><?php echo pxl_print_html($settings['bottom_text'])?></p>
                    </div>
                <?php endif; ?>
                <?php if(!empty($settings['description_price'])) : ?>
                    <div class="description-price">
                        <p><?php echo pxl_print_html($settings['description_price'])?></p>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    <?php endif; ?>
    <?php if(isset($settings['feature']) && !empty($settings['feature']) && count($settings['feature'])): ?>
    <div class="pxl-item--feature ">
        <?php foreach ($settings['feature'] as $key => $value): ?>
            <div class="<?php echo esc_attr($value['active']); ?> ">
                <i class="fal fa-check"></i>
                <div class="content"><?php echo pxl_print_html($value['feature_text'])?></div>
            </div>
        <?php endforeach; ?>
    </div>
<?php endif; ?>
<?php if(!empty($settings['button_text'])) : ?>
    <div class="pxl-item--button">
        <a class="btn btn-default" data-hover="<?php echo esc_attr($settings['button_text']); ?>" <?php pxl_print_html($widget->get_render_attribute_string( 'button' )); ?>>
            <span class="pxl--btn-text"><?php echo esc_attr($settings['button_text']); ?></span>            
        </a>
    </div>
<?php endif; ?>
</div>
</div>