<?php
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$arrows = $widget->get_setting('arrows','false');  
$pagination = $widget->get_setting('pagination','false');
$pagination_type = $widget->get_setting('pagination_type','bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay', '');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite','false');  
$speed = $widget->get_setting('speed', '500');
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => '1', 
    'slide_mode'                    => 'slide', 
    'slides_to_show'                => $col_xl,
    'slides_to_show_xxl'             => $col_xxl, 
    'slides_to_show_lg'             => $col_lg, 
    'slides_to_show_md'             => $col_md, 
    'slides_to_show_sm'             => $col_sm, 
    'slides_to_show_xs'             => $col_xs, 
    'slides_to_scroll'              => $slides_to_scroll,
    'arrow'                         => $arrows,
    'pagination'                    => $pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => $autoplay,
    'pause_on_hover'                => $pause_on_hover,
    'pause_on_interaction'          => 'true',
    'delay'                         => $autoplay_speed,
    'loop'                          => $infinite,
    'speed'                         => $speed
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);
?>
<?php if(isset($settings['team2']) && !empty($settings['team2']) && count($settings['team2'])):?>
<div class="pxl-swiper-sliders pxl-team pxl-team-carousel3 pxl-team-layout1" <?php if($settings['drap']) : ?>data-cursor-drap="<?php echo esc_html('DRAG', 'breeza'); ?>"<?php endif; ?>>
    <div class="pxl-swiper-slider-wrap pxl-carousel-inner">
        <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
            <div class="pxl-swiper-wrapper">
                <?php foreach ($settings['team2'] as $key => $value):
                    $title = isset($value['title3']) ? $value['title3'] : '';
                    $position = isset($value['position3']) ? $value['position3'] : '';
                    $phone = isset($value['phone3']) ? $value['phone3'] : '';
                    $image = isset($value['image3']) ? $value['image3'] : '';
                    $img_size = isset($value['img_size']) ? $value['img_size'] : '';
                    $image_size = !empty($img_size) ? $img_size : 'full';
                    $social = isset($value['social3']) ? $value['social3'] : '';
                    $link_key = $widget->get_repeater_setting_key( 'btn_link3', 'value', $key );
                    if ( ! empty( $value['btn_link3']['url'] ) ) {
                        $widget->add_render_attribute( $link_key, 'href', $value['btn_link3']['url'] );

                        if ( $value['btn_link3']['is_external'] ) {
                            $widget->add_render_attribute( $link_key, 'target', '_blank' );
                        }

                        if ( $value['btn_link3']['nofollow'] ) {
                            $widget->add_render_attribute( $link_key, 'rel', 'nofollow' );
                        }
                    }
                    $link_attributes = $widget->get_render_attribute_string( $link_key );
                    ?>
                    <div class="pxl-swiper-slide">
                        <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>">
                          <?php if(!empty($image['id'])) { 
                            $img = pxl_get_image_by_size( array(
                                'attach_id'  => $image['id'],
                                'thumb_size' => $image_size,
                                'class' => 'no-lazyload',
                            ));
                            $thumbnail = $img['thumbnail'];
                            ?>
                            <div class="pxl-item--image">
                                <?php echo wp_kses_post($thumbnail); ?>

                            </div>
                        <?php } ?>
                        <div class="pxl-item--holder pxl-item--front">
                            <h6 class="pxl-item--title">    
                                <a <?php echo implode( ' ', [ $link_attributes ] ); ?>>
                                    <?php echo pxl_print_html($title); ?>
                                </a>
                            </h6>
                            <div class="pxl-item--position"><?php echo pxl_print_html($position); ?></div>   
                            <?php if ($phone) { ?>
                                <div class="pxl-item--phone"><svg xmlns="http://www.w3.org/2000/svg" width="19" height="19" viewBox="0 0 19 19" fill="none">
                                  <path d="M10.7119 5.12499C12.831 5.12499 13.7349 6.02888 13.7349 8.14804H15.7503C15.7503 4.89826 13.9617 3.10962 10.7119 3.10962V5.12499ZM14.1602 10.6098C13.9666 10.4338 13.7121 10.34 13.4506 10.348C13.189 10.3561 12.9409 10.4655 12.7585 10.6531L10.3471 13.133C9.76668 13.0222 8.59978 12.6584 7.39862 11.4603C6.19746 10.2581 5.83369 9.08821 5.72587 8.51181L8.20376 6.09942C8.39161 5.91716 8.50117 5.66896 8.50925 5.40735C8.51734 5.14574 8.42332 4.89125 8.24709 4.69773L4.5237 0.60351C4.3474 0.409387 4.10237 0.291636 3.84065 0.275267C3.57892 0.258898 3.32113 0.345199 3.12201 0.515842L0.93534 2.39114C0.761122 2.56599 0.657138 2.7987 0.643111 3.04513C0.627996 3.29705 0.339798 9.26455 4.96708 13.8939C9.00386 17.9296 14.0604 18.2249 15.453 18.2249C15.6566 18.2249 15.7815 18.2188 15.8148 18.2168C16.0612 18.203 16.2938 18.0986 16.4678 17.9236L18.3421 15.7359C18.5128 15.5369 18.5993 15.2792 18.5831 15.0175C18.5669 14.7558 18.4494 14.5106 18.2554 14.3342L14.1602 10.6098Z" fill="#0055FF"/>
                              </svg><?php echo pxl_print_html($phone); ?></div>   
                          <?php } ?>
                      </div>
                      <?php if(!empty($social)): ?>
                        <div class="pxl-social--button"> <i class="fal fa-plus"></i></div>
                        <div class="pxl-item--social">
                            <?php  $team_social = json_decode($social, true);
                            foreach ($team_social as $value): ?>
                                <a href="<?php echo esc_url($value['url']); ?>" target="_blank"><i class="<?php echo esc_attr($value['icon']); ?>"></i></a>
                            <?php endforeach; ?>
                        </div>
                    <?php endif; ?>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>

<?php if($pagination !== 'false'): ?>
    <div class="pxl-swiper-dots style-1"></div>
<?php endif; ?>

<?php if($arrows !== 'false'): ?>
    <div class="pxl-swiper-arrow-wrap">
        <div class="pxl-swiper-arrow pxl-swiper-arrow-prev"><i class="caseicon-angle-arrow-left rtl-icon"></i></div>
        <div class="pxl-swiper-arrow pxl-swiper-arrow-next"><i class="caseicon-angle-arrow-right rtl-icon"></i></div>
    </div>
<?php endif; ?>

</div>
</div>
<?php endif; ?>
