<?php
$col_xs = $widget->get_setting('col_xs', '');
$col_sm = $widget->get_setting('col_sm', '');
$col_md = $widget->get_setting('col_md', '');
$col_lg = $widget->get_setting('col_lg', '');
$col_xl = $widget->get_setting('col_xl', '');
$col_xxl = $widget->get_setting('col_xxl', '');
if($col_xxl == 'inherit') {
    $col_xxl = $col_xl;
}
$slides_to_scroll = $widget->get_setting('slides_to_scroll', '');
$arrows = $widget->get_setting('arrows','false');  
$pagination = $widget->get_setting('pagination','false');
$pagination_type = $widget->get_setting('pagination_type','bullets');
$pause_on_hover = $widget->get_setting('pause_on_hover');
$autoplay = $widget->get_setting('autoplay', '');
$autoplay_speed = $widget->get_setting('autoplay_speed', '5000');
$infinite = $widget->get_setting('infinite','false');  
$speed = $widget->get_setting('speed', '500');
$opts = [
    'slide_direction'               => 'horizontal',
    'slide_percolumn'               => '1', 
    'slide_mode'                    => 'slide', 
    'slides_to_show'                => $col_xl, 
    'slides_to_show_xxl'             => $col_xxl, 
    'slides_to_show_lg'             => $col_lg, 
    'slides_to_show_md'             => $col_md, 
    'slides_to_show_sm'             => $col_sm, 
    'slides_to_show_xs'             => $col_xs, 
    'slides_to_scroll'              => $slides_to_scroll,
    'arrow'                         => $arrows,
    'pagination'                    => $pagination,
    'pagination_type'               => $pagination_type,
    'autoplay'                      => $autoplay,
    'pause_on_hover'                => $pause_on_hover,
    'pause_on_interaction'          => 'true',
    'delay'                         => $autoplay_speed,
    'loop'                          => $infinite,
    'speed'                         => $speed,
];
$widget->add_render_attribute( 'carousel', [
    'class'         => 'pxl-swiper-container',
    'dir'           => is_rtl() ? 'rtl' : 'ltr',
    'data-settings' => wp_json_encode($opts)
]);
if(isset($settings['testimonial']) && !empty($settings['testimonial']) && count($settings['testimonial'])): ?>
    <div class="pxl-swiper-sliders pxl-testimonial-carousel pxl-testimonial-carousel1 <?php echo esc_attr($settings['style-pagination']); ?>" <?php if($settings['drap']) : ?>data-cursor-drap="<?php echo esc_html('DRAG', 'breeza'); ?>"<?php endif; ?>>
        <div class="pxl-swiper-thumbs-wrap d-flex-wrap justify-content-center">
            <div class="pxl-swiper-thumbs overflow-hidden">
                <div class="pxl-thumbs-wrapper swiper-wrapper ">
                    <?php 
                    $idx = 0;
                    foreach ($settings['testimonial'] as $key => $value):
                        $idx++;
                        $image       = isset($value['image']) ? $value['image'] : [];
                        $thumbnail = '';
                        if(!empty($image['id'])) {
                            $img = pxl_get_image_by_size( array(
                                'attach_id'  => $image['id'],
                                'thumb_size' => '384x450',
                                'class' => 'no-lazyload',
                            ));
                            $thumbnail = $img['thumbnail'];
                        }
                        ?>
                        <div class="thumb-item swiper-slide">
                            <div class="thumbs-wrap text-center relative">                                
                                <div class="item-image"><?php echo wp_kses_post($thumbnail); ?></div>  
                                <div class="thumb-logo">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="52" height="52" viewBox="0 0 52 52" fill="none">
                                      <path d="M30.8407 22.0185L49.7826 0H45.294L28.8467 19.1183L15.7103 0H0.559082L20.4239 28.9103L0.559082 52H5.04797L22.4167 31.8104L36.2897 52H51.441L30.8396 22.0185H30.8407ZM24.6926 29.165L22.6798 26.2862L6.66537 3.37915H13.56L26.4839 21.8658L28.4966 24.7447L45.2961 48.7745H38.4015L24.6926 29.1661V29.165Z" fill="#194341"/>
                                  </svg>                                    
                              </div>
                          </div>
                      </div>
                  <?php endforeach; ?>
              </div>
          </div> 
      </div> 
      <div class="pxl-carousel-inner">
        <div <?php pxl_print_html($widget->get_render_attribute_string( 'carousel' )); ?>>
            <div class="pxl-swiper-wrapper">
                <?php foreach ($settings['testimonial'] as $key => $value):
                    $title = isset($value['title']) ? $value['title'] : '';
                    $position = isset($value['position']) ? $value['position'] : '';
                    $desc = isset($value['desc']) ? $value['desc'] : '';
                    $show_star = isset($value['show_star']) ? $value['show_star'] : '';
                    $star = isset($value['star']) ? $value['star'] : '';
                    $image = isset($value['image']) ? $value['image'] : '';
                    ?>
                    <div class="pxl-swiper-slide">
                        <div class="pxl-item--inner <?php echo esc_attr($settings['pxl_animate']); ?>" data-wow-delay="<?php echo esc_attr($settings['pxl_animate_delay']); ?>ms">
                            <div class="pxl-item--holder">
                             <?php if( $show_star == 'true' ) : ?>
                                <span class="pxl-item--star <?php echo esc_attr($star); ?>">
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                    <i class="fas fa-star"></i>
                                </span>
                            <?php endif; ?>
                            <div class="pxl-item--desc el-empty"><?php echo pxl_print_html($desc); ?></div>
                            <div class="pxl-item--quote">
                                <svg xmlns="http://www.w3.org/2000/svg" width="136" height="115" viewBox="0 0 136 115" fill="none">
                                  <path d="M62.7273 15.6818V73.1818C62.7273 78.8447 61.6246 84.2489 59.4194 89.3945C57.2141 94.5401 54.233 98.9915 50.4758 102.749C46.7187 106.506 42.2674 109.487 37.1218 111.692C31.9762 113.897 26.572 115 20.9091 115H15.6818C14.2661 115 13.041 114.483 12.0064 113.448C10.9718 112.414 10.4545 111.188 10.4545 109.773V99.3182C10.4545 97.9025 10.9718 96.6773 12.0064 95.6428C13.041 94.6082 14.2661 94.0909 15.6818 94.0909H20.9091C26.6809 94.0909 31.6087 92.049 35.6925 87.9652C39.7763 83.8814 41.8182 78.9536 41.8182 73.1818V70.5682C41.8182 68.3902 41.0559 66.5388 39.5312 65.0142C38.0066 63.4896 36.1553 62.7273 33.9773 62.7273H15.6818C11.3258 62.7273 7.62311 61.2026 4.57386 58.1534C1.52462 55.1042 0 51.4015 0 47.0455V15.6818C0 11.3258 1.52462 7.62311 4.57386 4.57386C7.62311 1.52462 11.3258 0 15.6818 0H47.0455C51.4015 0 55.1042 1.52462 58.1534 4.57386C61.2026 7.62311 62.7273 11.3258 62.7273 15.6818ZM135.909 15.6818V73.1818C135.909 78.8447 134.806 84.2489 132.601 89.3945C130.396 94.5401 127.415 98.9915 123.658 102.749C119.901 106.506 115.449 109.487 110.304 111.692C105.158 113.897 99.7538 115 94.0909 115H88.8636C87.4479 115 86.2228 114.483 85.1882 113.448C84.1536 112.414 83.6364 111.188 83.6364 109.773V99.3182C83.6364 97.9025 84.1536 96.6773 85.1882 95.6428C86.2228 94.6082 87.4479 94.0909 88.8636 94.0909H94.0909C99.8627 94.0909 104.79 92.049 108.874 87.9652C112.958 83.8814 115 78.9536 115 73.1818V70.5682C115 68.3902 114.238 66.5388 112.713 65.0142C111.188 63.4896 109.337 62.7273 107.159 62.7273H88.8636C84.5076 62.7273 80.8049 61.2026 77.7557 58.1534C74.7064 55.1042 73.1818 51.4015 73.1818 47.0455V15.6818C73.1818 11.3258 74.7064 7.62311 77.7557 4.57386C80.8049 1.52462 84.5076 0 88.8636 0H120.227C124.583 0 128.286 1.52462 131.335 4.57386C134.384 7.62311 135.909 11.3258 135.909 15.6818Z" fill="white" fill-opacity="0.07"/>
                              </svg>                                
                          </div>
                      </div>
                      <div class="pxl-item--by">
                        <span class="pxl-item--title el-empty"><?php echo pxl_print_html($title); ?></span>
                        <span class="pxl-item--position el-empty"><?php echo pxl_print_html($position); ?></span>   
                    </div>
                </div>
            </div>
        <?php endforeach; ?>
    </div>
</div>
</div>

<?php if($pagination !== 'false'): ?>
    <div class="pxl-swiper-pagination">
        <?php if($pagination_type == 'bullets') : ?><?php endif; ?>
        <div class="pxl-swiper-dots style-1"></div>
        <?php if($pagination_type == 'bullets') : ?><?php endif; ?>
    </div>
<?php endif; ?>

<?php if($arrows !== 'false'): ?>
    <div class="pxl-swiper-arrow-wrap">
        <div class="pxl-swiper-arrow pxl-swiper-arrow-prev"><i class="caseicon-angle-arrow-left rtl-icon"></i></div>
        <div class="pxl-swiper-arrow pxl-swiper-arrow-next"><i class="caseicon-angle-arrow-right rtl-icon"></i></div>
    </div>
<?php endif; ?>

</div>
<?php endif; ?>
