<?php
$templates_df = ['0' => esc_html__('None', 'breeza')];
$templates = $templates_df + breeza_get_templates_option('popup', []) ;
pxl_add_custom_widget(
    array(
        'name' => 'pxl_button',
        'title' => esc_html__('BR Button', 'breeza' ),
        'icon' => 'eicon-button',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'breeza' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'btn_style',
                            'label' => esc_html__('Type', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'btn-default',
                            'options' => [
                                'btn-default' => esc_html__('Default', 'breeza' ),
                                'btn-primary' => esc_html__('Primary', 'breeza' ),
                                'btn-shape-primary' => esc_html__('Shape', 'breeza' ),
                                'btn-scroll-down' => esc_html__('Scroll Down', 'breeza' ),
                            ],
                        ),
                        array(
                            'name' => 'text',
                            'label' => esc_html__('Text', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'default' => esc_html__('Click Here', 'breeza'),
                        ),
                        array(
                            'name' => 'btn_action',
                            'label' => esc_html__('Action', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'pxl-atc-link',
                            'options' => [
                                'pxl-atc-link' => esc_html__('Link', 'breeza' ),
                                'pxl-atc-popup' => esc_html__('Popup', 'breeza' ),
                            ],
                        ),
                        array(
                            'name' => 'link',
                            'label' => esc_html__('Link', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::URL,
                            'default' => [
                                'url' => '#',
                            ],
                            'condition' => [
                                'btn_action' => ['pxl-atc-link'],
                            ],
                        ),
                        array(
                            'name' => 'popup_template',
                            'label' => esc_html__('Select Popup Template', 'breeza'),
                            'type' => 'select',
                            'options' => $templates,
                            'default' => 'df',
                            'description' => 'Add new tab template: "<a href="' . esc_url( admin_url( 'edit.php?post_type=pxl-template' ) ) . '" target="_blank">Click Here</a>"',
                            'condition' => [
                                'btn_action' => ['pxl-atc-popup'],
                            ],
                        ),
                        array(
                            'name' => 'align',
                            'label' => esc_html__('Alignment', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::CHOOSE,
                            'control_type' => 'responsive',
                            'options' => [
                                'left'    => [
                                    'title' => esc_html__('Left', 'breeza' ),
                                    'icon' => 'fa fa-align-left',
                                ],
                                'center' => [
                                    'title' => esc_html__('Center', 'breeza' ),
                                    'icon' => 'fa fa-align-center',
                                ],
                                'right' => [
                                    'title' => esc_html__('Right', 'breeza' ),
                                    'icon' => 'fa fa-align-right',
                                ],
                            ],
                            'prefix_class' => 'elementor-align-',
                            'default' => '',
                            'selectors'         => [
                                '{{WRAPPER}} .pxl-button' => 'justify-content: {{VALUE}}',
                            ],
                        ),
                        array(
                            'name' => 'btn_icon',
                            'label' => esc_html__('Icon', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::ICONS,
                            'label_block' => true,
                            'fa4compatibility' => 'icon',
                            'condition' => [
                                'btn_style' => ['btn-default', 'btn-primary', 'btn-scroll-down'],
                            ],
                        ),
                        array(
                            'name' => 'icon_align',
                            'label' => esc_html__('Icon Position', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'default' => 'left',
                            'options' => [
                                'left' => esc_html__('Before', 'breeza' ),
                                'right' => esc_html__('After', 'breeza' ),
                            ],
                            'condition' => [
                                'btn_style' => ['btn-default', 'btn-primary', 'btn-scroll-down'],
                            ],
                        ),
                    ),
),

array(
    'name' => 'section_style_button',
    'label' => esc_html__('Button Normal', 'breeza' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'button_effect',
            'label' => esc_html__('Effect', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => esc_html__('None', 'breeza' ),
                'pxl-jump' => esc_html__('Jump', 'breeza' ),
                'pxl-upscale' => esc_html__('Upscale', 'breeza' ),
                'pxl-spin' => esc_html__('Spin', 'breeza' ),
                'pxl-skew' => esc_html__('Skew', 'breeza' ),
                'pxl-squash' => esc_html__('Squash', 'breeza' ),
                'pxl-leap' => esc_html__('Leap', 'breeza' ),
                'pxl-fade' => esc_html__('Fade', 'breeza' ),
                'pxl-sheen' => esc_html__('Sheen', 'breeza' ),
                'pxl-xspin' => esc_html__('Xspin', 'breeza' ),
                'pxl-pop' => esc_html__('Pop', 'breeza' ),
            ],
            'default' => '',
        ),
        array(
            'name' => 'color',
            'label' => esc_html__('Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'btn_bg_color',
            'label' => esc_html__('Background Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'btn_style' => ['btn-default', 'btn-primary'],
            ],
        ),
        array(
            'name'         => 'btn_gradient',
            'label' => esc_html__( 'Background Type', 'breeza' ),
            'type'         => \Elementor\Group_Control_Background::get_type(),
            'control_type' => 'group',
            'types' => [ 'gradient' ],
            'selector'     => '{{WRAPPER}} .pxl-button .btn',
        ),
        array(
            'name' => 'btn_typography',
            'label' => esc_html__('Typography', 'breeza' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-button .btn',
        ),
        array(
            'name'         => 'btn_box_shadow',
            'label' => esc_html__( 'Box Shadow', 'breeza' ),
            'type'         => \Elementor\Group_Control_Box_Shadow::get_type(),
            'control_type' => 'group',
            'selector'     => '{{WRAPPER}} .pxl-button .btn',
            'condition' => [
                'btn_style' => ['btn-default', 'btn-primary'],
            ],
        ),
        array(
            'name' => 'border_type',
            'label' => esc_html__( 'Border Type', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => esc_html__( 'None', 'breeza' ),
                'solid' => esc_html__( 'Solid', 'breeza' ),
                'double' => esc_html__( 'Double', 'breeza' ),
                'dotted' => esc_html__( 'Dotted', 'breeza' ),
                'dashed' => esc_html__( 'Dashed', 'breeza' ),
                'groove' => esc_html__( 'Groove', 'breeza' ),
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'border-style: {{VALUE}} !important;',
            ],
            'condition' => [
                'btn_style' => ['btn-default', 'btn-primary'],
            ],
        ),
        array(
            'name' => 'border_width',
            'label' => esc_html__( 'Border Width', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;',
            ],
            'condition' => [
                'border_type!' => '',
            ],
            'responsive' => true,
        ),
        array(
            'name' => 'border_color',
            'label' => esc_html__( 'Border Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'border-color: {{VALUE}} !important;',
            ],
            'condition' => [
                'border_type!' => '',
            ],
        ),
        array(
            'name' => 'btn_border_radius',
            'label' => esc_html__('Border Radius', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'btn_style' => ['btn-default', 'btn-primary'],
            ],
        ),
        array(
            'name' => 'btn_padding',
            'label' => esc_html__('Padding', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
            'condition' => [
                'btn_style' => ['btn-default', 'btn-primary'],
            ],
        ),
        array(
            'name' => 'button_height',
            'label' => esc_html__('Button Height', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn' => 'height: {{SIZE}}{{UNIT}};',
            ],
        ),
    ),
),

array(
    'name' => 'section_style_button_hover',
    'label' => esc_html__('Button Hover', 'breeza' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'color_hover',
            'label' => esc_html__('Color Hover', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn:hover span, {{WRAPPER}} .pxl-button .btn:focus span' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'btn_bg_color_hover',
            'label' => esc_html__('Background Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn:after, {{WRAPPER}} .pxl-button .btn:before' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'btn_style' => ['btn-default', 'btn-primary'],
            ],
        ),  
    ),
),

array(
    'name' => 'section_style_icon',
    'label' => esc_html__('Icon', 'breeza' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'btn_style' => ['btn-default', 'btn-primary'],
    ],
    'controls' => array(
        array(
            'name' => 'icon_color',
            'label' => esc_html__('Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn i' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'icon_font_size',
            'label' => esc_html__('Font Size', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .btn i' => 'font-size: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'icon_space_left',
            'label' => esc_html__('Icon Spacer', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'default' => [
                'size' => 9,
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .pxl-icon--left i, {{WRAPPER}} .pxl-button .pxl-icon--left svg' => 'margin-right: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'icon_align' => ['left'],
            ],
        ),
        array(
            'name' => 'icon_space_right',
            'label' => esc_html__('Icon Spacer', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 300,
                ],
            ],
            'default' => [
                'size' => 9,
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-button .pxl-icon--right i, {{WRAPPER}} .pxl-button .pxl-icon--right svg' => 'margin-left: {{SIZE}}{{UNIT}};',
            ],
            'condition' => [
                'icon_align' => ['right'],
            ],
        ),
    ),
),
breeza_widget_animation_settings(),
),
),
),
breeza_get_class_widget_path()
);