<?php
// Register Image Box Widget
pxl_add_custom_widget(
    array(
        'name' => 'pxl_image_box',
        'title' => esc_html__('BR Image Box', 'breeza' ),
        'icon' => 'eicon-image-box',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('Layout', 'breeza' ),
                    'tab' => \Elementor\Controls_Manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('Templates', 'breeza' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('Layout 1', 'breeza' ),
                                    'image' => get_template_directory_uri() . '/elements/widgets/img-layout/pxl_image_box/layout1.jpg'
                                ],
                                '2' => [
                                    'label' => esc_html__('Layout 2', 'breeza' ),
                                    'image' => get_template_directory_uri() . '/elements/widgets/img-layout/pxl_image_box/layout2.jpg'
                                ],
                                '3' => [
                                    'label' => esc_html__('Layout 3', 'breeza' ),
                                    'image' => get_template_directory_uri() . '/elements/widgets/img-layout/pxl_image_box/layout3.jpg'
                                ],
                                '4' => [
                                    'label' => esc_html__('Layout 4', 'breeza' ),
                                    'image' => get_template_directory_uri() . '/elements/widgets/img-layout/pxl_image_box/layout4.jpg'
                                ],
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'breeza' ),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'image_type',
                            'label' => esc_html__('Image Type', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                'img' => 'Image',
                                'bg' => 'Background',
                            ],
                            'default' => 'img',
                        ),
                        array(
                            'name' => 'image',
                            'label' => esc_html__( 'Image', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                        ),
                        array(
                            'name' => 'mask',
                            'label' => esc_html__( 'Mask', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'layout' => ['3'],
                            ],
                        ),
                        array(
                            'name' => 'image_after',
                            'label' => esc_html__( 'Image After', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::MEDIA,
                            'condition' => [
                                'layout' => ['3'],
                            ],
                        ),
                        array(
                            'name' => 'path_svg_text',
                            'label' => esc_html__( 'Path', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::TEXTAREA,
                            'default' => '<path opacity="0.5" d="M-14.9456 461.346C48.5506 439.593 219.725 419.185 396.455 511.575C617.367 627.062 885.327 661.482 1047.16 455.635C1208.99 249.787 1219.85 132.538 1613.03 169.184C1695.21 175.915 1872.69 151.729 1925.22 1.13761" stroke="#9F90FF" stroke-width="3"/>',
                            'condition' => [
                                'layout' => ['3'],
                            ],
                        ),
                        array(
                            'name' => 'color_box_shadow',
                            'label' => esc_html__( 'Box Shadow Color', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-circle-svg svg' => 'filter: drop-shadow(0px 14px 10px {{VALUE}});',

                            ],
                            'condition' => [
                                'layout' => ['3'],
                            ],
                        ),
                        array( 
                            'name' => 'bg_parallax_height',
                            'label' => esc_html__('SVG Height', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'default' => [
                                'unit' => 'px',
                            ],
                            'tablet_default' => [
                                'unit' => 'px',
                            ],
                            'mobile_default' => [
                                'unit' => 'px',
                            ],
                            'size_units' => [ 'px', 'vh' ],
                            'range' => [
                                'px' => [
                                    'min' => 1,
                                    'max' => 1000,
                                ],
                                'vh' => [
                                    'min' => 1,
                                    'max' => 100,
                                ],
                            ],        
                            'condition' => [
                                'layout' => ['3'],
                            ],                 
                        ),
                        array(
                            'name' => 'm_height',
                            'label' => esc_html__('Image Max Height', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SLIDER,
                            'control_type' => 'responsive',
                            'size_units' => [ 'px', '%' ],
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 3000,
                                ],
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box1 .pxl-item--image img' => 'max-height: {{SIZE}}{{UNIT}};',
                                '{{WRAPPER}} .pxl-image-box1 .pxl-item--image img' => 'min-width: {{SIZE}}{{UNIT}};',
                            ],
                            'condition' => [
                                'image_type' => ['img'],
                            ],
                        ),
                        array(
                            'name' => 'img_size',
                            'label' => esc_html__('Image Size', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'description' => 'Enter image size - Example: "thumbnail", "medium", "large", "full" or other sizes defined by theme. Alternatively enter size in pixels Example: 200x100 - Width x Height.',
                            'condition' => [
                                'image_type' => ['img'],
                            ],
                        ),
                        array(
                            'name' => 'sub_title',
                            'label' => esc_html__('Sub Title', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'label_block' => true,
                            'condition' => [
                                'layout' => ['1','2'],
                            ],
                        ),
                        array(
                            'name' => 'title',
                            'label' => esc_html__('Title', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'label_block' => true,
                            'condition' => [
                                'layout' => ['1','2','4'],
                            ],
                        ),
                        array(
                            'name' => 'text_link',
                            'label' => esc_html__('Link', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::TEXT,
                            'label_block' => true,
                            'condition' => [
                                'layout' => ['2'],
                            ],
                        ),
                        array(
                            'name' => 'item_link',
                            'label' => esc_html__('Link', 'breeza'),
                            'type' => \Elementor\Controls_Manager::URL,
                            'label_block' => true,
                            'condition' => [
                                'layout' => ['2'],
                            ],
                        ),
                        array(
                            'name' => 'border_type',
                            'label' => esc_html__( 'Border Type', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::SELECT,
                            'options' => [
                                '' => esc_html__( 'None', 'breeza' ),
                                'solid' => esc_html__( 'Solid', 'breeza' ),
                                'double' => esc_html__( 'Double', 'breeza' ),
                                'dotted' => esc_html__( 'Dotted', 'breeza' ),
                                'dashed' => esc_html__( 'Dashed', 'breeza' ),
                                'groove' => esc_html__( 'Groove', 'breeza' ),
                            ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box1 .pxl-item--image' => 'border-style: {{VALUE}} !important;',
                            ],
                            'condition' => [
                                'layout' => ['1'],
                            ],
                        ),
                        array(
                            'name' => 'border_width',
                            'label' => esc_html__( 'Border Width', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box1 .pxl-item--image' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;',
                            ],
                            'condition' => [
                                'border_type!' => '',
                            ],
                            'responsive' => true,
                        ),
                        array(
                            'name' => 'border_color',
                            'label' => esc_html__( 'Border Color', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::COLOR,
                            'default' => '',
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box1 .pxl-item--image' => 'border-color: {{VALUE}} !important;',
                            ],
                            'condition' => [
                                'border_type!' => '',
                            ],
                        ),
                        array(
                            'name' => 'btn_border_radius',
                            'label' => esc_html__('Border Radius', 'breeza' ),
                            'type' => \Elementor\Controls_Manager::DIMENSIONS,
                            'size_units' => [ 'px' ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-image-box1 .pxl-item--image' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                            ],
                            'condition' => [
                                'layout' => ['1'],
                            ],
                        ),
                        array(
                            'name'         => 'box_shadow',
                            'label' => esc_html__( 'Box Shadow', 'breeza' ),
                            'type'         => \Elementor\Group_Control_Box_Shadow::get_type(),
                            'control_type' => 'group',
                            'selector'     => '{{WRAPPER}} .pxl-image-box1 .pxl-item--image',
                            'condition' => [
                                'layout' => ['1'],
                            ],
                        ),
                    ),
),

array(
    'name' => 'section_style_title',
    'label' => esc_html__('Title', 'breeza'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['1','2','4'],
    ],    
    'controls' => array(
        array(
            'name' => 'box_title_color',
            'label' => esc_html__('Box Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-image-box .pxl-item--holder' => 'background-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => '1',
            ],
        ),
        array(
            'name'         => 'box_gradient',
            'label' => esc_html__( 'Background Type', 'breeza' ),
            'type'         => \Elementor\Group_Control_Background::get_type(),
            'control_type' => 'group',
            'types' => [ 'gradient' ],
            'selector'     => '{{WRAPPER}} .pxl-image-box .pxl-item--holder',
        ),
        array(
            'name' => 'border_box_title_color',
            'label' => esc_html__('Border Box Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-image-box .pxl-item--holder:before' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'layout' => '1',
            ],
        ),
        array(
            'name' => 'style',
            'label' => esc_html__('Style', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'style-1' => 'Style 1',
                'style-2' => 'Style 2',
            ],
            'default' => 'style-1',
        ),
        array(
            'name' => 'image_height',
            'label' => esc_html__('Image Height', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'description' => esc_html__('Enter number.', 'breeza' ),
            'condition' => [
                'image_type' => 'bg',
            ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'control_type' => 'responsive',
            'selectors' => [
                '{{WRAPPER}} .pxl-image-box .pxl-item--bg' => 'height: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'title_tag',
            'label' => esc_html__('HTML Tag', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                'h1' => 'H1',
                'h2' => 'H2',
                'h3' => 'H3',
                'h4' => 'H4',
                'h5' => 'H5',
                'h6' => 'H6',
                'h7' => 'H7',
                'h8' => 'H8',
                'div' => 'div',
                'span' => 'span',
                'p' => 'p',
            ],
            'default' => 'h5',
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__('Title Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-image-box .pxl-item--title' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_typography',
            'label' => esc_html__('Title Typography', 'breeza' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl-image-box .pxl-item--title',
        ),
    ),
),
array(
    'name' => 'section_dot1',
    'label' => esc_html__('Dot Left', 'breeza' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['3'],
    ],
    'controls' => array(
        array(
            'name' => 'dot1_color_linear',
            'label' => esc_html__( 'Dot Left Background Linear', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'true',
        ),
        array(
            'name' => 'dot1_color_one',
            'label' => esc_html__( 'Dot Left Background Color One', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-circle-svg .linear-dot1 .stop1' => 'stop-color: {{VALUE}} !important;',
            ],
            'condition' => [
                'dot1_color_linear' => 'true'
            ]
        ),
        array(
            'name' => 'dot1_color_two',
            'label' => esc_html__( 'Dot Left Background Color Two', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-circle-svg .linear-dot1 .stop2' => 'stop-color: {{VALUE}} !important;',
            ],
            'condition' => [
                'dot1_color_linear' => 'true'
            ]
        ),
        array(
            'name'         => 'dot1_box_shadow',
            'label' => esc_html__( 'Box Shadow', 'breeza' ),
            'selectors' => [
                '{{WRAPPER}} .pxl-circle-svg .filter1 feFlood' => 'flood-color: {{VALUE}} !important;',
            ],
            'type' => \Elementor\Controls_Manager::COLOR,                            
        ),
    ),
),
array(
    'name' => 'section_dot2',
    'label' => esc_html__('Dot Right', 'breeza' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['3'],
    ],
    'controls' => array(
        array(
            'name' => 'dot2_color_linear',
            'label' => esc_html__( 'Dot Right Background Linear', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'true',
        ),
        array(
            'name' => 'dot2_color_one',
            'label' => esc_html__( 'Dot Right Background Color One', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-circle-svg .linear-dot2 .stop1' => 'stop-color: {{VALUE}} !important;',
            ],
            'condition' => [
                'dot2_color_linear' => 'true'
            ]
        ),
        array(
            'name' => 'dot2_color_two',
            'label' => esc_html__( 'Dot Right Background Color Two', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-circle-svg .linear-dot2 .stop2' => 'stop-color: {{VALUE}} !important;',
            ],
            'condition' => [
                'dot2_color_linear' => 'true'
            ]
        ),
        array(
            'name'         => 'dot2_box_shadow',
            'label' => esc_html__( 'Box Shadow', 'breeza' ),
            'selectors' => [
                '{{WRAPPER}} .pxl-circle-svg .filter1 feFlood' => 'flood-color: {{VALUE}} !important;',
            ],
            'type' => \Elementor\Controls_Manager::COLOR,                            
        ),
    ),
),
array(
    'name' => 'section_style_sub_title',
    'label' => esc_html__('Sub Title', 'breeza'),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'condition' => [
        'layout' => ['1','2'],
    ],   
    'controls' => array(

        array(
            'name' => 'sub_title_color',
            'label' => esc_html__('Title Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-image-box .pxl-item--sub-title' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'sub_title_typography',
            'label' => esc_html__('Title Typography', 'breeza' ),
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            '{{WRAPPER}} .pxl-image-box .pxl-item--sub-title' => 'color: {{VALUE}};',
        ),
    ),
),breeza_widget_animation_settings(),
),
),
),breeza_get_class_widget_path()
);