<?php
pxl_add_custom_widget(
    array(
        'name' => 'pxl_opening_hour',
        'title' => esc_html__('BR Opening Hour', 'breeza'),
        'icon' => 'eicon-library-upload',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('Content', 'breeza'),
                    'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
                    'controls' => array(
                      array(
                        'name' => 'title',
                        'label' => esc_html__('Title', 'breeza' ),
                        'type' => \Elementor\Controls_Manager::TEXT,
                    ),
                      array(
                        'name' => 'items',
                        'label' => esc_html__('Content', 'breeza'),
                        'type' => \Elementor\Controls_Manager::REPEATER,
                        'controls' => array(
                            array(
                                'name' => 'label',
                                'label' => esc_html__('Label', 'breeza' ),
                                'type' => \Elementor\Controls_Manager::TEXT,
                            ),
                            array(
                                'name' => 'content',
                                'label' => esc_html__('Time', 'breeza' ),
                                'type' => \Elementor\Controls_Manager::TEXT,
                                'label_block' => true,
                            ),
                        ),
                        'title_field' => '{{{ label }}}',
                    ),                        
                      array(
                          'name' => 'align',
                          'label' => esc_html__( 'Alignment', 'breeza' ),
                          'type' => \Elementor\Controls_Manager::CHOOSE,
                          'control_type' => 'responsive',
                          'options' => [
                            'left' => [
                                'title' => esc_html__( 'Left', 'breeza' ),
                                'icon' => 'eicon-text-align-left',
                            ],
                            'center' => [
                                'title' => esc_html__( 'Center', 'breeza' ),
                                'icon' => 'eicon-text-align-center',
                            ],
                            'right' => [
                                'title' => esc_html__( 'Right', 'breeza' ),
                                'icon' => 'eicon-text-align-right',
                            ],
                            'justify' => [
                                'title' => esc_html__( 'Justified', 'breeza' ),
                                'icon' => 'eicon-text-align-justify',
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-opening-hour .pxl--item' => 'text-align: {{VALUE}};',
                        ],
                    ),
                      array(
                        'name' => 'max-box',
                        'label' => esc_html__( 'Max Width', 'breeza' ),
                        'type' => \Elementor\Controls_Manager::SLIDER,
                        'control_type' => 'responsive',
                        'size_units' => [ 'px','%' ],
                        'range' => [
                            'px' => [
                                'min' => 0,
                                'max' => 300,
                            ],
                            '%' => [
                                'min' => 0,
                                'max' => 100,
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-opening-hour' => 'max-width: {{SIZE}}{{UNIT}};width: {{SIZE}}{{UNIT}};',
                        ],
                    ),
                      array(
                        'name' => 'bottom_spacer',
                        'label' => esc_html__( 'Bottom Spacer', 'breeza' ),
                        'type' => \Elementor\Controls_Manager::SLIDER,
                        'control_type' => 'responsive',
                        'size_units' => [ 'px' ],
                        'range' => [
                            'px' => [
                                'min' => 0,
                                'max' => 300,
                            ],
                        ],
                        'selectors' => [
                            '{{WRAPPER}} .pxl-opening-hour .pxl--item + .pxl--item' => 'padding-top: {{SIZE}}{{UNIT}};',
                        ],
                    ),
                  ),
),
array(
    'name' => 'section_style',
    'label' => esc_html__('Style', 'breeza' ),
    'tab' => \Elementor\Controls_Manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'sub_color',
            'label' => esc_html__('Title Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item label' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'line_color',
            'label' => esc_html__('Line Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-opening-hour .pxl-opening-title:after' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'line_color_box',
            'label' => esc_html__('Line Box', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-opening-hour:after' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'sub_typography',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl--item label',
        ),
        array(
            'name' => 'sub_spacer_bottom',
            'label' => esc_html__('Title Spacer Bottom', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl--item label' => 'margin-bottom: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__('Sub Title Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item span' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_color_span',
            'label' => esc_html__('Sub Custom Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item span>span' => 'color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'title_typography',
            'type' => \Elementor\Group_Control_Typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{WRAPPER}} .pxl--item span',
        ),
        array(
            'name' => 'border_color',
            'label' => esc_html__('Border Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl--item + .pxl--item' => 'border-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'border_spacer',
            'label' => esc_html__('Border Spacer', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl--item + .pxl--item' => 'margin-top: {{SIZE}}{{UNIT}}; padding-top: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name' => 'box_bg_color',
            'label' => esc_html__('Box Background Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-opening-hour' => 'background-color: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'box_padding',
            'label' => esc_html__('Box Padding', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-opening-hour' => 'padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'box_border_radius',
            'label' => esc_html__('Box Border Radius', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-opening-hour' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
        ),
    ),
),
breeza_widget_animation_settings()
),
),
),
breeza_get_class_widget_path()
);