<?php
$pt_supports = ['post','service','case'];
pxl_add_custom_widget(
    array(
        'name' => 'pxl_post_carousel',
        'title' => esc_html__('BR Post Carousel', 'breeza' ),
        'icon' => 'eicon-posts-carousel',
        'categories' => array('pxltheme-core'),
        'scripts' => array(
            'swiper',
            'pxl-swiper',
        ),
        'params' => array(
            'sections' => array(
                array(
                    'name'     => 'layout_section',
                    'label'    => esc_html__( 'Layout', 'breeza' ),
                    'tab'      => 'layout',
                    'controls' => array_merge(
                        array(
                            array(
                                'name'     => 'post_type',
                                'label'    => esc_html__( 'select post type', 'breeza' ),
                                'type'     => 'select',
                                'multiple' => true,
                                'options'  => breeza_get_post_type_options($pt_supports),
                                'default'  => 'post'
                            ) 
                        ),
                        breeza_get_post_carousel_layout($pt_supports)
                    ),
                ),
                array(
                    'name' => 'section_source',
                    'label' => esc_html__('Source', 'breeza' ),
                    'tab' => \elementor\controls_manager::TAB_SETTINGS,
                    'controls' => array_merge(
                        array(
                            array(
                                'name'     => 'select_post_by',
                                'label'    => esc_html__( 'Select posts by', 'breeza' ),
                                'type'     => 'select',
                                'multiple' => true,
                                'options'  => [
                                    'term_selected' => esc_html__( 'Terms Selected', 'breeza' ),
                                    'post_selected' => esc_html__( 'Posts Selected ', 'breeza' ),
                                ],
                                'default'  => 'term_selected'
                            ) 
                        ),
                        breeza_get_grid_term_by_posttype($pt_supports, ['custom_condition' => ['select_post_by' => 'term_selected']]),
                        breeza_get_grid_ids_by_posttype($pt_supports, ['custom_condition' => ['select_post_by' => 'post_selected']]),
                        array(
                            array(
                                'name' => 'orderby',
                                'label' => esc_html__('Order by', 'breeza' ),
                                'type' => \elementor\controls_manager::SELECT,
                                'default' => 'date',
                                'options' => [
                                    'date' => esc_html__('Date', 'breeza' ),
                                    'id' => esc_html__('id', 'breeza' ),
                                    'author' => esc_html__('author', 'breeza' ),
                                    'title' => esc_html__('title', 'breeza' ),
                                    'rand' => esc_html__('random', 'breeza' ),
                                ],
                            ),
                            array(
                                'name' => 'order',
                                'label' => esc_html__('Sort order', 'breeza' ),
                                'type' => \elementor\controls_manager::SELECT,
                                'default' => 'desc',
                                'options' => [
                                    'desc' => esc_html__('Descending', 'breeza' ),
                                    'asc' => esc_html__('Ascending', 'breeza' ),
                                ],
                            ),
                            array(
                                'name' => 'limit',
                                'label' => esc_html__('Total items', 'breeza' ),
                                'type' => \elementor\controls_manager::NUMBER,
                                'default' => '6',
                            ),
                        )
                    ),
                ),
                array(
                    'name' => 'section_carousel',
                    'label' => esc_html__('Carousel', 'breeza'),
                    'tab' => \elementor\controls_manager::TAB_SETTINGS,
                    'controls' => array(
                        array(
                            'name' => 'pxl_animate',
                            'label' => esc_html__('BR animate', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'options' => breeza_widget_animate(),
                            'default' => '',
                        ),
                        array(
                            'name' => 'slide_padding',
                            'label' => esc_html__('Padding', 'breeza' ),
                            'type' => \elementor\controls_manager::DIMENSIONS,
                            'size_units' => [ 'px' ],
                            'selectors' => [
                                '{{WRAPPER}} .pxl-swiper-sliders .pxl-swiper-slide' => 'padding: {{top}}{{unit}} {{right}}{{unit}} {{bottom}}{{unit}} {{left}}{{unit}};',
                            ],
                            'control_type' => 'responsive',
                        ),
                        array(
                            'name' => 'col_xs',
                            'label' => esc_html__('Columns xs devices', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '1',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '6' => '6',
                                'auto' => 'auto',
                            ],
                        ),
                        array(
                            'name' => 'col_sm',
                            'label' => esc_html__('Columns sm devices', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '2',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '6' => '6',
                                'auto' => 'auto',
                            ],
                        ),
                        array(
                            'name' => 'col_md',
                            'label' => esc_html__('Columns md devices', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '6' => '6',
                                'auto' => 'auto',
                            ],
                        ),
                        array(
                            'name' => 'col_lg',
                            'label' => esc_html__('Columns lg devices', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '5' => '5',
                                '6' => '6',
                                'auto' => 'auto',
                            ],
                        ),
                        array(
                            'name' => 'col_xl',
                            'label' => esc_html__('Columns xl devices', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '5' => '5',
                                '6' => '6',
                                'auto' => 'auto',
                            ],
                        ),
                        array(
                            'name' => 'col_xxl',
                            'label' => esc_html__('Columns xxl devices', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '3',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '5' => '5',
                                '6' => '6',
                                '8' => '8',
                                'auto' => 'auto',
                            ],
                        ),

                        array(
                            'name' => 'slides_to_scroll',
                            'label' => esc_html__('Slides to scroll', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => '1',
                            'options' => [
                                '1' => '1',
                                '2' => '2',
                                '3' => '3',
                                '4' => '4',
                                '5' => '5',
                                '6' => '6',
                                'auto' => 'auto',
                            ],
                        ),
                        array(
                            'name' => 'arrows',
                            'label' => esc_html__('Show arrows', 'breeza'),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'false',
                        ),
                        array(
                            'name' => 'pagination',
                            'label' => esc_html__('Show pagination', 'breeza'),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'false',
                        ),
                        array(
                            'name' => 'pagination_type',
                            'label' => esc_html__('Pagination type', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'default' => 'bullets',
                            'options' => [
                                'bullets' => 'bullets',
                                'fraction' => 'fraction',
                                'progressbar' => 'progressbar',
                            ],
                            'condition' => [
                                'pagination' => 'true'
                            ]
                        ),

                        array(
                            'name' => 'pause_on_hover',
                            'label' => esc_html__('Pause on hover', 'breeza'),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'true',
                        ),
                        array(
                            'name' => 'autoplay',
                            'label' => esc_html__('Autoplay', 'breeza'),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'false',
                        ),
                        array(
                            'name' => 'autoplay_speed',
                            'label' => esc_html__('Autoplay speed', 'breeza'),
                            'type' => \elementor\controls_manager::NUMBER,
                            'default' => 5000,
                            'condition' => [
                                'autoplay' => 'false'
                            ]
                        ),
                        array(
                            'name' => 'infinite',
                            'label' => esc_html__('Infinite loop', 'breeza'),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'true',
                        ),
                        array(
                            'name' => 'speed',
                            'label' => esc_html__('animation speed', 'breeza'),
                            'type' => \elementor\controls_manager::NUMBER,
                            'default' => 500,
                        ),
                        array(
                            'name' => 'drap',
                            'label' => esc_html__('show scroll drap', 'breeza'),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'false',
                        ),
                    ),
),
array(
    'name' => 'section_display',
    'label' => esc_html__('Display', 'breeza' ),
    'tab' => \elementor\controls_manager::TAB_SETTINGS,
    'controls' => array(
        array(
            'name' => 'box_padding',
            'label' => esc_html__('padding', 'breeza' ),
            'type' => \elementor\controls_manager::DIMENSIONS,
            'size_units' => [ 'px' ],
            'selectors' => [
                '{{WRAPPER}} .pxl-service-carousel1 .pxl-item--holder' => 'padding: {{top}}{{unit}} {{right}}{{unit}} {{bottom}}{{unit}} {{left}}{{unit}};',
            ],
            'control_type' => 'responsive',
        ),
        array(
            'name' => 'img_size',
            'label' => esc_html__('image size', 'breeza' ),
            'type' => \elementor\controls_manager::TEXT,
            'description' => 'enter image size (example: "thumbnail", "medium", "large", "full" or other sizes defined by theme). alternatively enter size in pixels (default: 370x300 (width x height)).',
        ),
        array(
            'name' => 'show_category',
            'label' => esc_html__('show category', 'breeza' ),
            'type' => \elementor\controls_manager::SWITCHER,
            'default' => 'true',
            'conditions' => [
                'relation' => 'or',
                'terms' => [
                    [
                        'terms' => [
                            ['name' => 'post_type', 'operator' => '==', 'value' => 'post'],
                            ['name' => 'layout_post', 'operator' => 'in', 'value' => ['post-1']]
                        ]
                    ]
                ],
            ]
        ),
        array(
            'name' => 'show_button',
            'label' => esc_html__('show button readmore', 'breeza' ),
            'type' => \elementor\controls_manager::SWITCHER,
            'default' => 'true',
        ),
        array(
            'name' => 'button_text',
            'label' => esc_html__('button readmore text', 'breeza' ),
            'type' => \elementor\controls_manager::TEXT,
        ),
        array(
            'name' => 'show_author',
            'label' => esc_html__('show author', 'breeza' ),
            'type' => \elementor\controls_manager::SWITCHER,
            'default' => 'true',
            'conditions' => [
                'relation' => 'or',
                'terms' => [
                    [
                        'terms' => [
                            ['name' => 'post_type', 'operator' => '==', 'value' => 'post'],
                            ['name' => 'layout_post', 'operator' => 'in', 'value' => ['post-1']]
                        ]
                    ]
                ],
            ]
        ),
        array(
            'name' => 'show_date',
            'label' => esc_html__('show date', 'breeza' ),
            'type' => \elementor\controls_manager::SWITCHER,
            'default' => 'true',
            'conditions' => [
                'relation' => 'or',
                'terms' => [
                    [
                        'terms' => [
                            ['name' => 'post_type', 'operator' => '==', 'value' => 'post'],
                            ['name' => 'layout_post', 'operator' => 'in', 'value' => ['post-1']]
                        ]
                    ]
                ],
            ]
        ),
        array(
            'name' => 'show_excerpt',
            'label' => esc_html__('show excerpt', 'breeza' ),
            'type' => \elementor\controls_manager::SWITCHER,
            'default' => 'true',
        ),
        array(
            'name' => 'num_words',
            'label' => esc_html__('NUMBER of words', 'breeza' ),
            'type' => \elementor\controls_manager::NUMBER,
            'default' => 12,
            'separator' => 'after',
        ),
        array(
            'name' => 'img-height',
            'label' => esc_html__('image height', 'breeza' ),
            'type' => \elementor\controls_manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 3000,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-swiper-sliders .pxl-item--image ' => 'min-height: {{size}}{{unit}};max-height: {{size}}{{unit}};',
            ],
        ),
    ),
),
array(
    'name' => 'section_style',
    'label' => esc_html__('Style', 'breeza' ),
    'tab' => \elementor\controls_manager::TAB_SETTINGS,
    'conditions' => [
        'relation' => 'or',
        'terms' => [
            [
                'terms' => [
                    ['name' => 'post_type', 'operator' => '==', 'value' => 'case'],
                ]
            ]
        ],
    ],
    'controls' => array(
        array(
            'name' => 'show_img',
            'label' => esc_html__('Show Img', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SWITCHER,
            'default' => 'true',
        ),
        array(
            'name' => 'category_color',
            'label' => esc_html__('Category color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item--inner .pxl-item--holder .pxl-item--category a' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 't_color',
            'label' => esc_html__('Title color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item--inner .pxl-item--holder .pxl-item--title' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'item_color',
            'label' => esc_html__('Title Item color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item-title' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'sub_color',
            'label' => esc_html__('Sub color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item--inner .pxl-item--holder .pxl-item--subtitle' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'desc_color',
            'label' => esc_html__('Desc color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item--inner .pxl-item--holder .pxl-item--content' => 'color: {{value}};',
            ],
        ),
        array(
            'name' => 'btn_color',
            'label' => esc_html__('Button color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item--inner .pxl-item--holder .pxl-item--readmore .btn-white' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'btn_color_arrow',
            'label' => esc_html__('Button Arrow color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item--inner .pxl-item--holder .pxl-item--readmore .btn-white svg path' => 'fill: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'arrow_color',
            'label' => esc_html__('Arrow color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item-title span.arrow svg path, {{WRAPPER}} .pxl-case-carousel2 .pxl-item--inner .pxl-item--holder .pxl-post--readmore svg path' => 'fill: {{value}};',
            ],
        ),
        array(
            'name' => 'arrow_bg_color',
            'label' => esc_html__('Arrow Background', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-carousel-inner .pxl-swiper-wrapper .pxl-swiper-slide .pxl-item-title span.arrow, {{WRAPPER}} .pxl-case-carousel2 .pxl-item--inner .pxl-item--holder .pxl-post--readmore' => 'background-color: {{value}} !important;',
            ],
        ),
        array(
            'name'         => 'box_gradient',
            'label' => esc_html__( 'Background Type', 'breeza' ),
            'type'         => \Elementor\Group_Control_Background::get_type(),
            'control_type' => 'group',
            'types' => [ 'gradient' ],
            'selector'     => '{{WRAPPER}} .pxl-case-carousel .pxl-item--inner:after',
        ),
        array(
            'name' => 'box_height',
            'label' => esc_html__('Box Height', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ '%' ],
            'range' => [
                '%' => [
                    'min' => 0,
                    'max' => 100,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-case-carousel .pxl-item--inner:before' => 'height: {{SIZE}}{{UNIT}};',
            ],
        ),
        array(
            'name'         => 'box_gradient_hover',
            'label' => esc_html__( 'Background Type', 'breeza' ),
            'type'         => \Elementor\Group_Control_Background::get_type(),
            'control_type' => 'group',
            'types' => [ 'gradient' ],
            'selector'     => '{{WRAPPER}} .pxl-case-carousel .pxl-item--inner:before',
        ),
    ),
),
array(
    'name' => 'section_style_post',
    'label' => esc_html__('Style', 'breeza' ),
    'tab' => \elementor\controls_manager::TAB_SETTINGS,
    'conditions' => [
        'relation' => 'or',
        'terms' => [
            [
                'terms' => [
                    ['name' => 'post_type', 'operator' => '==', 'value' => 'post'],
                ]
            ]
        ],
    ],
    'controls' => array(
        array(
            'name' => 'image_gray',
            'label' => esc_html__('Image Grayscale', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'control_type' => 'responsive',
            'size_units' => [ 'px' ],
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 1,
                ],
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--image img' => 'filter: grayscale({{SIZE}});',
            ],
        ),
        array(
            'name' => 'color_category',
            'label' => esc_html__('Category color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--image .pxl-item--category a' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'color_date_icon',
            'label' => esc_html__('Icon Date color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--image .pxl-item--date i' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'color_date',
            'label' => esc_html__('Date color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--image .pxl-item--date' => 'color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'color_date_bg',
            'label' => esc_html__('Date Background', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--image .pxl-item--date' => 'background-color: {{value}} !important;',
            ],
        ),
        array(
            'name' => 'btn_color_cr',
            'label' => esc_html__('Button color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--readmore .btn' => 'color: {{value}};',
            ],
        ),
        array(
            'name' => 'btn_color_hover',
            'label' => esc_html__('Button color hover', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--readmore .btn--readmore:hover' => 'color: {{value}};',
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--readmore .btn--readmore:hover svg path' => 'fill: {{value}};',
            ],
        ),
        array(
            'name' => 'btn_bg_cr',
            'label' => esc_html__('Button Background', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel.pxl-blog-style1.pxl-post-carousel2 .pxl-item--inner .pxl-item--holder .pxl-item--readmore .btn' => 'background-color: {{value}};',
            ],
        ),
        array(
            'name' => 'btn_bg_cr_hover',
            'label' => esc_html__('Button Background', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel.pxl-blog-style1.pxl-post-carousel2 .pxl-item--inner .pxl-item--holder .pxl-item--readmore .btn:hover' => 'background-color: {{value}};',
            ],
        ),
        array(
            'name' => 'border_type',
            'label' => esc_html__( 'Border Type', 'breeza' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'options' => [
                '' => esc_html__( 'None', 'breeza' ),
                'solid' => esc_html__( 'Solid', 'breeza' ),
                'double' => esc_html__( 'Double', 'breeza' ),
                'dotted' => esc_html__( 'Dotted', 'breeza' ),
                'dashed' => esc_html__( 'Dashed', 'breeza' ),
                'groove' => esc_html__( 'Groove', 'breeza' ),
            ],
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--readmore .btn' => 'border-style: {{VALUE}};',
            ],
        ),
        array(
            'name' => 'border_width',
            'label' => esc_html__( 'Border Width', 'breeza' ),
            'type' => \Elementor\Controls_Manager::DIMENSIONS,
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--readmore .btn' => 'border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
            ],
            'condition' => [
                'border_type!' => '',
            ],
            'responsive' => true,
        ),
        array(
            'name' => 'border_color',
            'label' => esc_html__( 'Border Color', 'breeza' ),
            'type' => \Elementor\Controls_Manager::COLOR,
            'default' => '',
            'selectors' => [
                '{{WRAPPER}} .pxl-post-carousel .pxl-item--readmore .btn' => 'border-color: {{VALUE}};',
            ],
            'condition' => [
                'border_type!' => '',
            ],
        ),
        array(
            'name'         => 'box_shadow',
            'label' => esc_html__( 'Box Shadow', 'breeza' ),
            'type'         => \Elementor\Group_Control_Box_Shadow::get_type(),
            'control_type' => 'group',
            'selector'     => '{{WRAPPER}} .pxl-post-carousel .pxl-item--inner',
        ),
    ),
),
),
),
),
breeza_get_class_widget_path()
);