<?php
// register icon box widget
pxl_add_custom_widget(
    array(
        'name' => 'pxl_rating',
        'title' => esc_html__('BR Rating', 'breeza' ),
        'icon' => 'eicon-icon-box',
        'categories' => array('pxltheme-core'),
        'params' => array(
            'sections' => array(
                array(
                    'name' => 'section_layout',
                    'label' => esc_html__('layout', 'breeza' ),
                    'tab' => \elementor\controls_manager::TAB_LAYOUT,
                    'controls' => array(
                        array(
                            'name' => 'layout',
                            'label' => esc_html__('templates', 'breeza' ),
                            'type' => 'layoutcontrol',
                            'default' => '1',
                            'options' => [
                                '1' => [
                                    'label' => esc_html__('layout 1', 'breeza' ),
                                    'image' => get_template_directory_uri() . '/elements/widgets/img-layout/pxl_rating/layout1.jpg'
                                ], 
                            ],
                        ),
                    ),
                ),
                array(
                    'name' => 'section_content',
                    'label' => esc_html__('content', 'breeza' ),
                    'tab' => \elementor\controls_manager::TAB_CONTENT,
                    'controls' => array(
                        array(
                            'name' => 'title',
                            'label' => esc_html__('title', 'breeza' ),
                            'type' => \elementor\controls_manager::TEXT,
                            'label_block' => true,
                        ),
                        array(
                            'name' => 'show_star',
                            'label' => esc_html__('show star', 'breeza' ),
                            'type' => \elementor\controls_manager::SWITCHER,
                            'default' => 'true',
                        ),
                        array(
                            'name'      => 'star',
                            'label'     => esc_html__( 'star', 'breeza' ),
                            'type'      => \elementor\controls_manager::TEXT,
                            'default'   => esc_html__('5','breeza'),
                        ),
                        array(
                            'name' => 'box_padding',
                            'label' => esc_html__('padding', 'breeza' ),
                            'type' => \elementor\controls_manager::DIMENSIONS,
                            'size_units' => [ 'px' ],
                            'selectors' => [
                                '{{wrapper}} .pxl-rating-1 .pxl-item--inner' => 'padding: {{top}}{{unit}} {{right}}{{unit}} {{bottom}}{{unit}} {{left}}{{unit}};',
                            ],
                            'control_type' => 'responsive',
                        ),
                        array(
                            'name' => 'border_type',
                            'label' => esc_html__( 'border type', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'options' => [
                                '' => esc_html__( 'none', 'breeza' ),
                                'solid' => esc_html__( 'solid', 'breeza' ),
                                'double' => esc_html__( 'double', 'breeza' ),
                                'dotted' => esc_html__( 'dotted', 'breeza' ),
                                'dashed' => esc_html__( 'dashed', 'breeza' ),
                                'groove' => esc_html__( 'groove', 'breeza' ),
                            ],
                            'selectors' => [
                                '{{wrapper}} .pxl-rating-1 .pxl-item--inner' => 'border-style: {{value}} !important;',
                            ],
                        ),
                        array(
                            'name' => 'border_width',
                            'label' => esc_html__( 'border width', 'breeza' ),
                            'type' => \elementor\controls_manager::DIMENSIONS,
                            'selectors' => [
                                '{{wrapper}} .pxl-rating-1 .pxl-item--inner' => 'border-width: {{top}}{{unit}} {{right}}{{unit}} {{bottom}}{{unit}} {{left}}{{unit}} !important;',
                            ],
                            'condition' => [
                                'border_type!' => '',
                            ],
                            'responsive' => true,
                        ),
                        array(
                            'name' => 'border_color',
                            'label' => esc_html__( 'border color', 'breeza' ),
                            'type' => \elementor\controls_manager::COLOR,
                            'default' => '',
                            'selectors' => [
                                '{{wrapper}} .pxl-rating-1 .pxl-item--inner' => 'border-color: {{value}} !important;',
                            ],
                            'condition' => [
                                'border_type!' => '',
                            ],
                        ),
                        array(
                            'name' => 'box_color',
                            'label' => esc_html__( 'Box color', 'breeza' ),
                            'type' => \elementor\controls_manager::COLOR,
                            'default' => '',
                            'selectors' => [
                                '{{wrapper}} .pxl-rating-1 .pxl-item--inner' => 'border-color: {{value}} !important;',
                            ],                          
                        ),
                        array(
                            'name' => 'box_shadow',
                            'label' => esc_html__('box shadow none', 'breeza' ),
                            'type' => \elementor\controls_manager::SELECT,
                            'options' => [
                                'icon' => 'icon',
                                'image' => 'image',
                            ],
                            'default' => 'icon',
                        ),
                        array(
                            'name' => 'box_spacer',
                            'label' => esc_html__('Box Max Width', 'breeza' ),
                            'type' => \elementor\controls_manager::SLIDER,
                            'control_type' => 'responsive',            
                            'range' => [
                                'px' => [
                                    'min' => 0,
                                    'max' => 1000,
                                ],
                            ],
                            'selectors' => [
                                '{{wrapper}} .pxl-rating-1 .pxl-item--inner' => 'max-width:{{size}}px;',
                            ],            
                        ),
                    ),
),
array(
    'name' => 'section_style_title',
    'label' => esc_html__('title', 'breeza'),
    'tab' => \elementor\controls_manager::TAB_STYLE,
    'controls' => array(
        array(
            'name' => 'title_tag',
            'label' => esc_html__('html tag', 'breeza' ),
            'type' => \elementor\controls_manager::SELECT,
            'options' => [
                'h1' => 'h1',
                'h2' => 'h2',
                'h3' => 'h3',
                'h4' => 'h4',
                'h5' => 'h5',
                'h6' => 'h6',
                'div' => 'div',
                'span' => 'span',
                'p' => 'p',
            ],
            'default' => 'h5',
        ),
        array(
            'name' => 'title_color',
            'label' => esc_html__('title color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{wrapper}} .pxl-rating-1 .pxl-item--inner .pxl-item--title' => 'color: {{value}};',
            ],
        ),
        array(
            'name' => 'title_typography',
            'label' => esc_html__('title typography', 'breeza' ),
            'type' => \elementor\group_control_typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{wrapper}} .pxl-rating-1 .pxl-item--inner .pxl-item--title',
        ),
        array(
            'name' => 'title_spacer',
            'label' => esc_html__('title spacer bottom', 'breeza' ),
            'type' => \elementor\controls_manager::SLIDER,
            'control_type' => 'responsive',            
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 1000,
                ],
            ],
            'selectors' => [
                '{{wrapper}} .pxl-rating-1 .pxl-item--inner .pxl-item--title' => 'margin-bottom:{{size}}px;',
            ],            
        ),
        array(
            'name' => 'title_hidde_lg',
            'label' => esc_html__('title hidden screen < 1600px', 'breeza' ),
            'type' => \elementor\controls_manager::SELECT,
            'options' => [
                '' => 'no',
                'yes' => 'yes',
            ],
            'default' => '',
        ),
        array(
            'name' => 'star_color',
            'label' => esc_html__('Star color', 'breeza' ),
            'type' => \elementor\controls_manager::COLOR,
            'selectors' => [
                '{{wrapper}} .pxl-rating-1 .pxl-item--inner .pxl-rating-bottom .pxl-item--number' => 'color: {{value}};',
            ],
        ),
        array(
            'name' => 'Star_typography',
            'label' => esc_html__('Star typography', 'breeza' ),
            'type' => \elementor\group_control_typography::get_type(),
            'control_type' => 'group',
            'selector' => '{{wrapper}} .pxl-rating-1 .pxl-item--inner .pxl-rating-bottom .pxl-item--number',
        ),
    ),
),
breeza_widget_animation_settings(),
),
),
),
breeza_get_class_widget_path()
);