<?php if(!function_exists('breeza_configs')){
    function breeza_configs($value){
        $configs = [
            'theme_colors' => [
                'primary'   => [
                    'title' => esc_html__('Primary', 'breeza'), 
                    'value' => breeza()->get_opt('primary_color', '#FFCD28')
                ],
                'secondary'   => [
                    'title' => esc_html__('Secondary', 'breeza'), 
                    'value' => breeza()->get_opt('secondary_color', '#194341')
                ],
                'third'   => [
                    'title' => esc_html__('Third', 'breeza'), 
                    'value' => breeza()->get_opt('third_color', '#5F6973')
                ],
                'four'   => [
                    'title' => esc_html__('Four', 'breeza'), 
                    'value' => breeza()->get_opt('four_color', '#2CB770')
                ],
                'body-bg'   => [
                    'title' => esc_html__('Body Background Color', 'breeza'), 
                    'value' => breeza()->get_page_opt('body_bg_color', '#fff')
                ]
            ],
            'link' => [
                'color' => breeza()->get_opt('link_color', ['regular' => '#FFCD28'])['regular'],
                'color-hover'   => breeza()->get_opt('link_color', ['hover' => '#FFCD28'])['hover'],
                'color-active'  => breeza()->get_opt('link_color', ['active' => '#FFCD28'])['active'],
            ],
            'gradient' => [
                'color-from' => breeza()->get_opt('gradient_color', ['from' => '#FFCD28'])['from'],
                'color-to' => breeza()->get_opt('gradient_color', ['to' => '#27B671'])['to'],
            ],

        ];
        return $configs[$value];
    }
}
if(!function_exists('breeza_inline_styles')) {
    function breeza_inline_styles() {  

        $theme_colors      = breeza_configs('theme_colors');
        $link_color        = breeza_configs('link');
        $gradient_color    = breeza_configs('gradient');        
        ob_start();
        echo ':root{';

        foreach ($theme_colors as $color => $value) {
            printf('--%1$s-color: %2$s;', str_replace('#', '',$color),  $value['value']);
        }
        foreach ($theme_colors as $color => $value) {
            printf('--%1$s-color-rgb: %2$s;', str_replace('#', '',$color),  breeza_hex_rgb($value['value']));
        }
        foreach ($link_color as $color => $value) {
            printf('--link-%1$s: %2$s;', $color, $value);
        }
        foreach ($gradient_color as $color => $value) {
            printf('--gradient-%1$s: %2$s;', $color, $value);
        }
        echo '}';

        return ob_get_clean();

    }
}
