<?php

class PxlContactForm_Widget extends Pxltheme_Core_Widget_Base{
    protected $name = 'pxl_contact_form';
    protected $title = 'BR Contact Form';
    protected $icon = 'eicon-form-horizontal';
    protected $categories = array( 'pxltheme-core' );
    protected $params = '{"sections":[{"name":"tab_content","label":"Content","tab":"content","controls":[{"name":"form_id","label":"Select Form","type":"select","options":{"5453":"Contact form home4","4530":"Contact form footer home 3","3189":"Contact form footer home 2","2423":"Contact form about","669":"Contact form v2","7":"Contact form 1"}}]},{"name":"tab_style_input","label":"Input","tab":"style","controls":[{"name":"input_typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight, {{WRAPPER}} .pxl-select .pxl-select-options li"},{"name":"input_color","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight, {{WRAPPER}} .pxl-select .pxl-select-options li":"color: {{VALUE}};"}},{"name":"input_bg_color","label":"Background Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"background-color: {{VALUE}};"}},{"name":"input_padding","label":"Padding Input","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):not(.wpcf7-textarea), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"input_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"input_box_shadow","label":"Box Shadow","type":"box-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight"},{"name":"border_type","label":"Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):not(.wpcf7-acceptance), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"border-style: {{VALUE}} !important;"}},{"name":"border_width","label":"Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;"},"condition":{"border_type!":""},"responsive":true},{"name":"border_color","label":"Border Color","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"border-color: {{VALUE}} !important;"},"condition":{"border_type!":""}},{"name":"input_height","label":"Input Height","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):not(.wpcf7-textarea), {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight":"height: {{SIZE}}{{UNIT}};"}},{"name":"textarea_height","label":"Textarea Height","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control.wpcf7-textarea":"height: {{SIZE}}{{UNIT}};"}},{"name":"textarea_padding","label":"Padding Textarea","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control.wpcf7-textarea":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"textarea_border_radius","label":"Textarea Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form textarea.wpcf7-form-control:not(.wpcf7-submit)":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"textarea_border_type","label":"Textarea Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control.wpcf7-textarea":"border-style: {{VALUE}} !important;"}},{"name":"textarea_border_width","label":"Textarea Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control.wpcf7-textarea":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;"},"condition":{"textarea_border_type!":""},"responsive":true},{"name":"textarea_typography","label":"Textarea Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control.wpcf7-textarea"},{"name":"textarea_color","label":"Textarea Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control.wpcf7-textarea":"color: {{VALUE}};"}},{"name":"input_spacer_bottom","label":"Spacer Bottom","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control-wrap":"margin-bottom: {{SIZE}}{{UNIT}};"}}]},{"name":"tab_style_input_hover","label":"Input Hover","tab":"style","controls":[{"name":"input_color_hover","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):hover, {{WRAPPER}} .pxl-contact-form .pxl-select-options li, {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight:hover, {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight.active":"color: {{VALUE}};"}},{"name":"input_bg_color_hover","label":"Background Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):hover":"background-color: {{VALUE}};"}},{"name":"input_box_shadow_hover","label":"Box Shadow","type":"box-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):hover"},{"name":"border_type_hover","label":"Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):hover, {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight:hover":"border-style: {{VALUE}} !important;"}},{"name":"border_width_hover","label":"Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):hover, {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight:hover":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;"},"condition":{"border_type_hover!":""},"responsive":true},{"name":"border_color_hover","label":"Border Color","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-form-control:not(.wpcf7-submit):hover, {{WRAPPER}} .pxl-contact-form .pxl-select-higthlight:hover":"border-color: {{VALUE}} !important;"},"condition":{"border_type_hover!":""}}]},{"name":"tab_style_button","label":"Button","tab":"style","controls":[{"name":"button_typography","label":"Button Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-submit, {{WRAPPER}} .pxl-contact-form button"},{"name":"button_color","label":"Button Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit":"color: {{VALUE}};"}},{"name":"btn_gradient","label":"Background Type","type":"background","control_type":"group","types":["gradient"],"selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-submit"},{"name":"button_color_hover","label":"Button Color Hover","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit:hover, {{WRAPPER}} .pxl-contact-form .wpcf7-submit:focus":"color: {{VALUE}};"}},{"name":"button_bg_color","label":"Button Background Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit":"background: {{VALUE}};"}},{"name":"button_bg_color_hover","label":"Button Background Color Hover","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit:hover, {{WRAPPER}} .pxl-contact-form .wpcf7-submit:focus":"background-color: {{VALUE}};"}},{"name":"button_padding","label":"Padding","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit, {{WRAPPER}} .pxl-contact-form button":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"button_margin","label":"Margin","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit, {{WRAPPER}} .pxl-contact-form button":"margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"button_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit, {{WRAPPER}} .pxl-contact-form button":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"button_box_shadow","label":"Box Shadow","type":"box-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .wpcf7-submit, {{WRAPPER}} .pxl-contact-form button"},{"name":"button_border_type","label":"Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit":"border-style: {{VALUE}};"}},{"name":"button_border_width","label":"Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"condition":{"button_border_type!":""},"responsive":true},{"name":"button_border_color","label":"Border Color","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit":"border-color: {{VALUE}};"},"condition":{"button_border_type!":""}},{"name":"btn_width","label":"Width","type":"select","options":{"btn-w-auto":"Auto","btn-w-full":"100%"},"default":"btn-w-auto"},{"name":"btn_spacer_top","label":"Spacer Top","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-submit":"margin-top: {{SIZE}}{{UNIT}};"}}]},{"name":"tab_box","label":"Box","tab":"style","controls":[{"name":"box_style","label":"Style","type":"select","options":{"box-style-none":"None","box-style-white":"Box White"},"default":"box-style-none"},{"name":"box_width","label":"Box Width","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":1000}},"selectors":{"{{WRAPPER}} .pxl-contact-form":"max-width: {{SIZE}}{{UNIT}};margin: 0 auto;"}},{"name":"box_bg_color","label":"Box Background Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form":"background: {{VALUE}};"}},{"name":"title","label":"Title","type":"text","label_block":true},{"name":"box_title_typography","label":"Title Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .pxl-contact-meta h4"},{"name":"box_title_color","label":"Title Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .pxl-contact-meta h4":"color: {{VALUE}};"}},{"name":"box_title_spacer_bottom","label":"Title Spacer Bottom","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-contact-form .pxl-contact-meta h4":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"desc","label":"Description","type":"textarea","rows":10,"show_label":false},{"name":"box_desc_typography","label":"Description Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .pxl-contact-meta p"},{"name":"box_desc_color","label":"Description Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .pxl-contact-meta p":"color: {{VALUE}};"}},{"name":"box_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"}},{"name":"border_type_box","label":"Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-contact-form":"border-style: {{VALUE}} !important;"}},{"name":"border_width_box","label":"Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-contact-form":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;"},"condition":{"border_type_box!":""},"responsive":true},{"name":"border_color_box","label":"Border Color","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-contact-form":"border-color: {{VALUE}} !important;"},"condition":{"border_type_box!":""}},{"name":"box_box_shadow","label":"Box Shadow","type":"box-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form"},{"name":"box_padding","label":"Padding","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"}]},{"name":"section_animation","label":"Animation","tab":"style","condition":[],"controls":[{"name":"pxl_animate","label":"Case Animate","type":"select","options":{"":"None","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipCase":"flipCase","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomInSmall":"zoomInSmall","wow zoomIn":"zoomInBig","wow zoomOut":"zoomOut","wow skewIn":"skewIn","wow RotatingY":"RotatingY","wow PXLfadeInUp":"PXLfadeInUp"},"default":""},{"name":"pxl_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]},{"name":"extra","label":"Extra","tab":"style","controls":[{"name":"label_color","label":"Label Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .pxl--item .wpcf7-acceptance .wpcf7-list-item .wpcf7-list-item-label":"color: {{VALUE}};"}},{"name":"label_typography","label":"Label Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-contact-form .pxl--item .wpcf7-acceptance .wpcf7-list-item .wpcf7-list-item-label"},{"name":"label_spacer_bottom","label":"Label Spacer Bottom","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-contact-form .pxl--item .wpcf7-acceptance .wpcf7-list-item":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"label_spacer_top","label":"Label Spacer Top","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-contact-form .contact-form-about .wpcf7-acceptance-wrap":"margin-top: {{SIZE}}{{UNIT}};"}},{"name":"icon_color","label":"Icon Color","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-list-item-label:after":"color: {{VALUE}};"}},{"name":"icon_color_bg","label":"Icon Background","type":"color","selectors":{"{{WRAPPER}} .pxl-contact-form .wpcf7-list-item-label:before":"background-color: {{VALUE}};"}},{"name":"label_space","label":"Label Spacer","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-contact-form form .wpcf7-acceptance .wpcf7-list-item":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}