<?php

class PxlHeading_Widget extends Pxltheme_Core_Widget_Base{
    protected $name = 'pxl_heading';
    protected $title = 'BR Heading';
    protected $icon = 'eicon-heading';
    protected $categories = array( 'pxltheme-core' );
    protected $params = '{"sections":[{"name":"section_content","label":"Content","tab":"content","controls":[{"name":"source_type","label":"Source Type","type":"select","options":{"text":"Text","title":"Page Title"},"default":"text"},{"name":"title","label":"Title","type":"textarea","label_block":true,"description":"Create highlight text width shortcode: [highlight text=\"Text Demo\"],[line text=\"Text Demo\"],[outline text=\"Text Demo\"]","condition":{"source_type":["text"]}},{"name":"sub_title","label":"Sub Title","type":"text","label_block":true},{"name":"align","label":"Alignment","type":"choose","control_type":"responsive","options":{"left":{"title":"Left","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"right":{"title":"Right","icon":"eicon-text-align-right"},"justify":{"title":"Justified","icon":"eicon-text-align-justify"}},"selectors":{"{{WRAPPER}} .pxl-heading":"text-align: {{VALUE}};","{{WRAPPER}} .pxl-heading .icon-heading":"justify-content: {{VALUE}};"}},{"name":"h_width","label":"Max Width","type":"slider","control_type":"responsive","size_units":["px","%"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-heading--inner":"max-width: {{SIZE}}{{UNIT}};"}}]},{"name":"section_style_title","label":"Title","tab":"style","controls":[{"name":"title_tag","label":"HTML Tag","type":"select","options":{"h1":"H1","h2":"H2","h3":"H3","h4":"H4","h5":"H5","h6":"H6","h7":"H7","h8":"H8","div":"div","span":"span","p":"p"},"default":"h3"},{"name":"title_color","label":"Title Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--title":"color: {{VALUE}};"}},{"name":"title_typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-item--title"},{"name":"title_box_shadow","label":"Title Shadow","type":"text-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-item--title"},{"name":"title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"default":{"size":0},"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-heading--inner":"margin-bottom: {{SIZE}}{{UNIT}};"},"separator":"after"},{"name":"divider","label":"Divider Position","type":"select","options":{"divider-none":"None","divider-left":"Top","divider-right":"Bottom"},"default":"divider-none"},{"name":"divider_bottom","label":"Divider Bottom","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":100}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-heading--inner .pxl-item--title:after":"bottom: {{SIZE}}{{UNIT}};"}},{"name":"align_divider","label":"Alignment","type":"choose","control_type":"responsive","options":{"0":{"title":"Left","icon":"eicon-text-align-left"},"50%":{"title":"Center","icon":"eicon-text-align-center"}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-heading--inner .pxl-item--title:after":"left: {{VALUE}};transform: translateX(-50%);"}},{"name":"divider_color","label":"Divider Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-heading--inner .pxl-item--title:after":"background-color: {{VALUE}};"},"condition":{"divider":["divider-left","divider-right"]}},{"name":"pxl_animate","label":"BR Animate","type":"select","options":{"":"None","wow letter":"Letter","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipCase":"flipCase","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomInSmall":"zoomInSmall","wow zoomIn":"zoomInBig","wow zoomOut":"zoomOut","wow skewIn":"skewIn","wow RotatingY":"RotatingY","wow PXLfadeInUp":"PXLfadeInUp"},"default":""},{"name":"pxl_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]},{"name":"section_style_title_sub","label":"Sub Title","tab":"style","controls":[{"name":"sub_title_style","label":"Style","type":"select","options":{"px-sub-title-default":"Default","px-sub-title-style2":"Style2","px-sub-title-style3":"Border","px-sub-title-style4":"Divider"},"default":"px-sub-title-default"},{"name":"show_dot","label":"Show Dot","type":"switcher","default":"true","condition":{"sub_title_style":["px-sub-title-default","px-sub-title-style3"]}},{"name":"sub_title_dot_color","label":"Dot Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .dot":"background-color: {{VALUE}};"},"condition":{"show_dot":"true"}},{"name":"sub_title_color","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle,{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext":"color: {{VALUE}};"}},{"name":"sub_title_gradient","label":"Background Type","type":"background","control_type":"group","types":["gradient"],"selector":"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext"},{"name":"sub_title_typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-item--subtitle, {{WRAPPER}} .pxl-heading .pxl-item--subtitle span"},{"name":"sub_title_shadow","label":"Sub Title Shadow","type":"box-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext"},{"name":"sub_title_space_margin_top","label":"Top Spacer","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle":"margin-top: {{SIZE}}{{UNIT}};"}},{"name":"sub_title_space_bottom","label":"Bottom Spacer","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle":"margin-bottom: {{SIZE}}{{UNIT}};"}},{"name":"btn_padding","label":"Padding","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext":"padding: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"},"control_type":"responsive"},{"name":"border_type","label":"Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext":"border-style: {{VALUE}} !important;"}},{"name":"border_width","label":"Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;"},"condition":{"border_type!":""},"responsive":true},{"name":"border_color","label":"Border Color","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext":"border-color: {{VALUE}} !important;"},"condition":{"border_type!":""}},{"name":"btn_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-heading .pxl-item--subtitle .pxl-item--subtext":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"}},{"name":"pxl_animate_sub","label":"BR Animate","type":"select","options":{"":"None","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipCase":"flipCase","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomInSmall":"zoomInSmall","wow zoomIn":"zoomInBig","wow zoomOut":"zoomOut","wow skewIn":"skewIn","wow RotatingY":"RotatingY","wow PXLfadeInUp":"PXLfadeInUp"},"default":""},{"name":"pxl_animate_delay_sub","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]},{"name":"section_style_title_highlight","label":"Highlight","tab":"style","controls":[{"name":"show_image","label":"Show Image","type":"switcher","default":"false"},{"name":"highlight_image_color","label":"Image Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading.pxl-highlight-after .pxl-title--highlight:before":"background-color: {{VALUE}};"},"condition":{"show_image":"true"}},{"name":"highlight_color","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-title--highlight":"color: {{VALUE}};"}},{"name":"line_color","label":"Line Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-title--line .pxl-item--after":"background-color: {{VALUE}};"}},{"name":"highlight_box_color","label":"Box Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-title--highlight":"background-color: {{VALUE}};"}},{"name":"highlight_box_shadow","label":"Box Shadow","type":"text-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-title--highlight"},{"name":"highlight_typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-title--highlight"}]},{"name":"section_style_title_outline","label":"Outline","tab":"style","controls":[{"name":"outline_color","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-heading .pxl-title--outline":"-webkit-text-stroke-color: {{VALUE}};"}},{"name":"outline_typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-heading .pxl-title--outline"},{"name":"outline_width","label":"Outline Width","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":10}},"selectors":{"{{WRAPPER}} .pxl-heading .pxl-title--outline":"-webkit-text-stroke-width: {{SIZE}}{{UNIT}};"}}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}