<?php

class PxlLink_Widget extends Pxltheme_Core_Widget_Base{
    protected $name = 'pxl_link';
    protected $title = 'BR Links';
    protected $icon = 'eicon-editor-link';
    protected $categories = array( 'pxltheme-core' );
    protected $params = '{"sections":[{"name":"section_content","label":"Content","tab":"content","controls":[{"name":"link","label":"Link","type":"repeater","controls":[{"name":"text","label":"Text","type":"text","label_block":true},{"name":"link","label":"Link","type":"url","label_block":true},{"name":"pxl_icon","label":"Icon","type":"icons","fa4compatibility":"icon"}],"title_field":"{{{ text }}}"},{"name":"l_width","label":"Max Width","type":"slider","control_type":"responsive","size_units":["px","%"],"range":{"px":{"min":0,"max":3000}},"selectors":{"{{WRAPPER}} .pxl-link":"max-width: {{SIZE}}{{UNIT}};"}}]},{"name":"section_style_link","label":"Link","tab":"style","controls":[{"name":"type","label":"Type","type":"select","options":{"type-vertical":"Vertical","type-horizontal":"Horizontal"},"default":"type-vertical"},{"name":"style","label":"Style","type":"select","options":{"style-default":"Default","style-divider":"Divider","style-line":"Line","style-box":"Box"},"default":"style-default"},{"name":"align","label":"Alignment","type":"choose","control_type":"responsive","options":{"left":{"title":"Left","icon":"eicon-text-align-left"},"center":{"title":"Center","icon":"eicon-text-align-center"},"right":{"title":"Right","icon":"eicon-text-align-right"},"justify":{"title":"Justified","icon":"eicon-text-align-justify"}},"selectors":{"{{WRAPPER}} .pxl-link":"text-align: {{VALUE}};"}},{"name":"link_color","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-link a":"color: {{VALUE}};"}},{"name":"link_color_hover","label":"Color Hover","type":"color","selectors":{"{{WRAPPER}} .pxl-link a:hover":"color: {{VALUE}};"}},{"name":"link_typography","label":"Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-link a"},{"name":"title_custom_font_family","label":"Custom Font Family","type":"select","options":{"":"Inherit","ft-plateia":"Plateia Bold"},"default":""},{"name":"divider_color","label":"Divider Color","type":"color","selectors":{"{{WRAPPER}} .pxl-link a:before":"background-color: {{VALUE}};"},"condition":{"style":["style-divider"]}},{"name":"bottom_spacer","label":"Vertical Spacer","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-link.type-vertical li + li":"margin-top: {{SIZE}}{{UNIT}};"},"condition":{"type":["type-vertical"]}},{"name":"left_spacer","label":"Horizontal Spacer Left","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-link.type-horizontal li":"margin-left: {{SIZE}}{{UNIT}};"},"condition":{"type":["type-horizontal"]}},{"name":"right_spacer","label":"Horizontal Spacer Right","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-link.type-horizontal li":"margin-right: {{SIZE}}{{UNIT}};"},"condition":{"type":["type-horizontal"]}},{"name":"align_items","label":"Align Items","type":"choose","options":{"flex-start":{"title":"Flex Start","icon":"far fa-arrow-alt-to-top"},"Center":{"title":"Center","icon":"far fa-arrows-alt-v"},"flex-end":{"title":"Flex End","icon":"far fa-arrow-alt-to-bottom"}},"selectors":{"{{WRAPPER}} .pxl-link li a":"align-items: {{VALUE}};"}}]},{"name":"section_style_icon","label":"Icon","tab":"style","controls":[{"name":"icon_color","label":"Color","type":"color","selectors":{"{{WRAPPER}} .pxl-link a svg path":"fill: {{VALUE}}","{{WRAPPER}} .pxl-link a i":"color: {{VALUE}};"}},{"name":"color_svg","label":"Color Svg","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-link a svg path, {{WRAPPER}} .pxl-link a svg rect":"stroke: {{VALUE}};"}},{"name":"icon_space_top","label":"Top Spacer","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-link a i,{{WRAPPER}} .pxl-link a svg":"margin-top: {{SIZE}}{{UNIT}};"}},{"name":"icon_font_size","label":"Font Size","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-link a i":"font-size: {{SIZE}}{{UNIT}};"}},{"name":"icon_width","label":"Min Width","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-link a i,{{WRAPPER}} .pxl-link a svg":"min-width: {{SIZE}}{{UNIT}};"}}]},{"name":"section_animation","label":"Animation","tab":"style","condition":[],"controls":[{"name":"pxl_animate","label":"Case Animate","type":"select","options":{"":"None","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipCase":"flipCase","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomInSmall":"zoomInSmall","wow zoomIn":"zoomInBig","wow zoomOut":"zoomOut","wow skewIn":"skewIn","wow RotatingY":"RotatingY","wow PXLfadeInUp":"PXLfadeInUp"},"default":""},{"name":"pxl_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]}]}';
    protected $styles = array(  );
    protected $scripts = array(  );
}