<?php

class PxlVideoPlayer_Widget extends Pxltheme_Core_Widget_Base{
    protected $name = 'pxl_video_player';
    protected $title = 'BR Video Player';
    protected $icon = 'eicon-play';
    protected $categories = array( 'pxltheme-core' );
    protected $params = '{"sections":[{"name":"section_content","label":"Content","tab":"content","controls":[{"name":"video_link","label":"Link","type":"text","default":"https:\/\/www.youtube.com\/watch?v=SF4aHwxHtZ0"},{"name":"video_icon","label":"Video Icon","type":"icons","fa4compatibility":"icon"},{"name":"image_type","label":"Image Type","type":"select","options":{"none":"None","img":"Image","bg":"Background"},"default":"none"},{"name":"image","label":"Image","type":"media","condition":{"image_type":["img","bg"]}},{"name":"img_size","label":"Image Size","type":"text","description":"Enter image size - Example: \"thumbnail\", \"medium\", \"large\", \"full\" or other sizes defined by theme. Alternatively enter size in pixels Example: 200x100 - Width x Height.","condition":{"image_type":"img"}},{"name":"image_height","label":"Image Height","type":"slider","description":"Enter number.","condition":{"image_type":"bg"},"range":{"px":{"min":0,"max":3000}},"control_type":"responsive","selectors":{"{{WRAPPER}} .pxl-video-player .pxl-video--imagebg":"height: {{SIZE}}{{UNIT}};"}},{"name":"btn_video_style","label":"Button Video Style","type":"select","options":{"style1":"Style 1","style2":"Style 2","style3":"Style 3","style4":"Style 4","style5":"Style 5","style6":"Style 6"},"default":"style1"},{"name":"mask","label":"Mask","type":"media","condition":{"btn_video_style":["style5"]}},{"name":"image_after","label":"Mask After","type":"media","condition":{"btn_video_style":["style5"]}},{"name":"btn_text","label":"Button Text","type":"text","label_block":true,"condition":{"btn_video_style":["style2","style3"]}},{"name":"btn_video_position","label":"Button Video Position","type":"select","options":{"p-center":"Center","p-top-left":"Top Left","p-top-right":"Top Right","p-bottom-left":"Bottom Left","p-bottom-right":"Bottom Right"},"default":"p-center","condition":{"image_type":["img","bg"]}},{"name":"top_positioon","label":"Top Position","type":"slider","size_units":["px","%"],"control_type":"responsive","default":{"size":0,"unit":"%"},"range":{"%":{"min":0,"max":100}},"selectors":{"{{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-top-left, {{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-top-right":"top: {{SIZE}}{{UNIT}};"},"condition":{"btn_video_position":["p-top-left","p-top-right"]}},{"name":"right_positioon","label":"Right Position","type":"slider","size_units":["px","%"],"control_type":"responsive","default":{"size":0,"unit":"%"},"range":{"%":{"min":0,"max":100}},"selectors":{"{{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-top-right, {{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-bottom-right":"right: {{SIZE}}{{UNIT}};"},"condition":{"btn_video_position":["p-top-right","p-bottom-right"]}},{"name":"bottom_positioon","label":"Bottom Position","type":"slider","size_units":["px","%"],"control_type":"responsive","default":{"size":0,"unit":"%"},"range":{"%":{"min":0,"max":100}},"selectors":{"{{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-bottom-left, {{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-bottom-right":"bottom: {{SIZE}}{{UNIT}};"},"condition":{"btn_video_position":["p-bottom-left","p-bottom-right"]}},{"name":"left_positioon","label":"Left Position","type":"slider","size_units":["px","%"],"control_type":"responsive","default":{"size":0,"unit":"%"},"range":{"%":{"min":0,"max":100}},"selectors":{"{{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-top-left, {{WRAPPER}} .pxl-video--holder + .btn-video-wrap.p-bottom-left":"left: {{SIZE}}{{UNIT}};"},"condition":{"btn_video_position":["p-top-left","p-bottom-left"]}}]},{"name":"section_style","label":"Style","tab":"style","controls":[{"name":"background-image","label":"Background Image","type":"media","condition":{"btn_video_style":["style6"]}},{"name":"border_type","label":"Border Type","type":"select","options":{"":"None","solid":"Solid","double":"Double","dotted":"Dotted","dashed":"Dashed","groove":"Groove"},"selectors":{"{{WRAPPER}} .pxl-video-player img":"border-style: {{VALUE}} !important;"}},{"name":"border_width","label":"Border Width","type":"dimensions","selectors":{"{{WRAPPER}} .pxl-video-player img":"border-width: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}} !important;"},"condition":{"border_type!":""},"responsive":true},{"name":"border_color","label":"Border Color","type":"color","default":"","selectors":{"{{WRAPPER}} .pxl-video-player img":"border-color: {{VALUE}} !important;"},"condition":{"border_type!":""}},{"name":"btn_border_radius","label":"Border Radius","type":"dimensions","size_units":["px"],"selectors":{"{{WRAPPER}} .pxl-video-player img,{{WRAPPER}} .pxl-video-player .pxl-video--imagebg":"border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};"}},{"name":"box_shadow","label":"Box Shadow","type":"box-shadow","control_type":"group","selector":"{{WRAPPER}} .pxl-video-player img"},{"name":"btn_box_color","label":"Button Box Color","type":"color","selectors":{"{{WRAPPER}} .pxl-video-player .pxl-video--inner .btn-video, {{WRAPPER}} .pxl-video-player .pxl-video--inner .btn-video:before":"background-color: {{VALUE}};","{{WRAPPER}} .pxl-video-player .pxl-video--inner .btn-video:after":"border-color: {{VALUE}};"}},{"name":"btn_gradient","label":"Background Type","type":"background","control_type":"group","types":["gradient"],"selector":"{{WRAPPER}} .pxl-video-player1.pxl-video-style6,{{WRAPPER}} .pxl-video-player1.pxl-video-style6:after,{{WRAPPER}} .pxl-video-player1.pxl-video-style6:before"},{"name":"btn_icon_color","label":"Button Icon Color","type":"color","selectors":{"{{WRAPPER}} .pxl-video-player .pxl-video--inner .btn-video i":"color: {{VALUE}};"}},{"name":"btn_text_color","label":"Button Text Color","type":"color","selectors":{"{{WRAPPER}} .pxl-video-player .pxl-video--inner .btn-video-wrap .pxl-label":"color: {{VALUE}} !important;"},"condition":{"btn_video_style":["style2","style3","style5"]}},{"name":"btn_text_typography","label":"Button Text Typography","type":"typography","control_type":"group","selector":"{{WRAPPER}} .pxl-video-player .pxl-video--inner .btn-video-wrap .pxl-label","condition":{"btn_video_style":["style2","style3","style5"]}},{"name":"icon_font_size","label":"Font Size","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":300}},"selectors":{"{{WRAPPER}} .pxl-video-player1 .btn-video i":"font-size: {{SIZE}}{{UNIT}};"}},{"name":"button_height","label":"Button Width\/Height","type":"slider","control_type":"responsive","size_units":["px"],"range":{"px":{"min":0,"max":100}},"selectors":{"{{WRAPPER}} .pxl-video-player1 .btn-video":"height: {{SIZE}}{{UNIT}};width: {{SIZE}}{{UNIT}};min-width: {{SIZE}}{{UNIT}};"}}]},{"name":"section_animation","label":"Animation","tab":"style","condition":[],"controls":[{"name":"pxl_animate","label":"Case Animate","type":"select","options":{"":"None","wow bounce":"bounce","wow flash":"flash","wow pulse":"pulse","wow rubberBand":"rubberBand","wow shake":"shake","wow swing":"swing","wow tada":"tada","wow wobble":"wobble","wow bounceIn":"bounceIn","wow bounceInDown":"bounceInDown","wow bounceInLeft":"bounceInLeft","wow bounceInRight":"bounceInRight","wow bounceInUp":"bounceInUp","wow bounceOut":"bounceOut","wow bounceOutDown":"bounceOutDown","wow bounceOutLeft":"bounceOutLeft","wow bounceOutRight":"bounceOutRight","wow bounceOutUp":"bounceOutUp","wow fadeIn":"fadeIn","wow fadeInDown":"fadeInDown","wow fadeInDownBig":"fadeInDownBig","wow fadeInLeft":"fadeInLeft","wow fadeInLeftBig":"fadeInLeftBig","wow fadeInRight":"fadeInRight","wow fadeInRightBig":"fadeInRightBig","wow fadeInUp":"fadeInUp","wow fadeInUpBig":"fadeInUpBig","wow fadeOut":"fadeOut","wow fadeOutDown":"fadeOutDown","wow fadeOutDownBig":"fadeOutDownBig","wow fadeOutLeft":"fadeOutLeft","wow fadeOutLeftBig":"fadeOutLeftBig","wow fadeOutRight":"fadeOutRight","wow fadeOutRightBig":"fadeOutRightBig","wow fadeOutUp":"fadeOutUp","wow fadeOutUpBig":"fadeOutUpBig","wow flip":"flip","wow flipCase":"flipCase","wow flipInX":"flipInX","wow flipInY":"flipInY","wow flipOutX":"flipOutX","wow flipOutY":"flipOutY","wow lightSpeedIn":"lightSpeedIn","wow lightSpeedOut":"lightSpeedOut","wow rotateIn":"rotateIn","wow rotateInDownLeft":"rotateInDownLeft","wow rotateInDownRight":"rotateInDownRight","wow rotateInUpLeft":"rotateInUpLeft","wow rotateInUpRight":"rotateInUpRight","wow rotateOut":"rotateOut","wow rotateOutDownLeft":"rotateOutDownLeft","wow rotateOutDownRight":"rotateOutDownRight","wow rotateOutUpLeft":"rotateOutUpLeft","wow rotateOutUpRight":"rotateOutUpRight","wow hinge":"hinge","wow rollIn":"rollIn","wow rollOut":"rollOut","wow zoomInSmall":"zoomInSmall","wow zoomIn":"zoomInBig","wow zoomOut":"zoomOut","wow skewIn":"skewIn","wow RotatingY":"RotatingY","wow PXLfadeInUp":"PXLfadeInUp"},"default":""},{"name":"pxl_animate_delay","label":"Animate Delay","type":"text","default":"0","description":"Enter number. Default 0ms"}]}]}';
    protected $styles = array(  );
    protected $scripts = array( 'tilt' );
}